{{/*
Create a default fully qualified app name.
*/}}
{{- define "common.fullname" -}}
{{- .Chart.Name }}
{{- end }}

{{/*
Create a default app name.
*/}}
{{- define "common.appName" -}}
{{- .Chart.Name }}
{{- end }}

{{/*
Return the proper bc sed image name
*/}}
{{- define "common.appImage" -}}
{{- $registryName := .Values.environment.image.registry -}}
{{- $repositoryName := .Values.environment.image.repository -}}
{{- if .Values.environment.image.tag }}
{{- printf "%s/%s:%s" $registryName $repositoryName .Values.environment.image.tag -}}
{{- else }}
{{- printf "%s/%s:%s" $registryName $repositoryName .Chart.AppVersion -}}
{{- end }}
{{- end -}}
