# how to use the templates
skm = app_name


# init

## DB
```sql
create user 'skm'@'%' identified by '4@Q@3v&Xjx8YZ5';
grant all on `skm`.* to 'skm'@'%';

create user 'vault'@'%' identified by 'e%nU@d327n$H3g';
grant all on `vault`.* to 'vault'@'%';
```

## solace
- use queue mode, pls change the value
```yaml
global.subscription.mode: queue
```
and the the queue will create when you run `helm install` automatically

- use topic mode
```yaml
global.subscription.mode: topic
```
if you use the follow value. the topic field will be `*`
```yaml
wks: WS000000
env: EV000000
org: TN000000
su: SU000000
```

# data migration
create a configmap for vault key and skm token
```sh
vault_key1=BhiK9BLAA0sEJtxxxxxxxxxxxxxxxxxxxxx4f/VWa1Ma
vault_key2=GxSjU8lGYXnw/xxxxxxxxxxxxxxxxxxxxxxnuyPLuJBv
vault_key3=F+sfpGLkIt3ipxxxxxxxxxxxxxxxxxxxxxxx/gsCcOM5
skm_token=s.JqNTxxxxxxxxxxxxxxdt8
echo '{"apiVersion": "v1","kind": "ConfigMap","metadata": {"name": "vault-unseal-secret"},"data": {"vault_key1": "'$vault_key1'","vault_key2": "'$vault_key2'","vault_key3": "'$vault_key3'","skm_token": "'$skm_token'"}}' | kubectl apply -f - 
```