{{- define "sed.topics" }}
{{- $subcribes := $.Files.Get "config/subscription.yaml" | fromYaml }}
{{- range $type, $topics := $subcribes }}
{{- range $topic := $topics }}
[[sessions.topics]]
type = "{{ $type }}"
{{- if eq $.Values.global.subscription.org "TN000000" }}
org = "*"
{{- end }}
{{- if eq $.Values.global.subscription.wks "WS000000" }}
wks = "*"
{{- end }}
{{- if eq $.Values.global.subscription.env "EV000000" }}
env = "*"
{{- end }}
{{- if eq $.Values.global.subscription.su "SU000000" }}
su = "*"
{{- end }}
version = "*"
id = "{{ $topic }}"
{{ end }}
{{- end }}
{{- end -}}

{{- define "sed.queues" -}}
{{- $subcribes := $.Files.Get "config/subscription.yaml" | fromYaml }}
{{- range $type, $queues := $subcribes }}
{{- range $queue := $queues }}
[[sessions.queues]]
type = "{{ $type }}"
id = "{{ $queue }}"
version = "v1"
{{ end }}
{{- end }}
{{- end -}}
