{{- define "workspacebff.topics_in_queue" }}
[subscription]
prefix = ""
suffix = ""
{{- range $domain, $domainConfig := .Values.Domains }}
[[subscription.extra_topics]]
queue = "{{ $domain|upper }}"
topics = [
{{- range $service, $serviceConfig := $domainConfig.Services }}
{{- range $type, $topics := $serviceConfig.EventKey }}
{{- range $topic := $topics }}
    "{{ $type }}:{{ $topic }}",
{{- end }}
{{- end }}
{{- end }}
]
{{- end }}

{{- end }}