ssh <ansible deploy node>

## step
```sh
# action: download package
# host: all
ansible-playbook  -i inventory.ini -e @group_vars/all.yaml playbook/download_package.yaml

# action: install k8s: v1.24
# host: localhost, k8s-master, k8s-node
ansible-playbook  -i inventory.ini playbook/k8s.yaml

# action: install mysql
# host: mysql
ansible-playbook  -i inventory.ini playbook/mysql.yaml

# action: install solace
# host: solace
ansible-playbook  -i inventory.ini playbook/solace.yaml

# action: install tdengine
# host: tdengine
ansible-playbook  -i inventory.ini playbook/tdengine3.yaml

# action: install clickhouse
# host: clickhouse
ansible-playbook  -i inventory.ini playbook/clickhouse-single-docker.yaml

# action: install gitlab
# host: gitlab
# user: root
# pass: Sirius@2023
ansible-playbook  -i inventory.ini playbook/gitlab-single-docker.yaml

# action: install git
# host: kube-master
ansible-playbook  -i inventory.ini playbook/redis-k8s-single.yaml

# action: install minio
# host: kube-master
# ansible-playbook  -i inventory.ini playbook/minio-k8s-single.yaml
# For aws, pls use s3 ak/sk

# action: install prepare data
# host: kube-master
ansible-playbook  -i inventory.ini -e "auto_import=true" playbook/mu-mvp2-deploy-prepare.yaml
ansible-playbook  -i inventory.ini -e "auto_import=true" -e @down/credentials.yaml playbook/mu-mvp2-deploy-prepare-mysql.yaml

# action: install mu
# host: kube-master
ansible-playbook  -i inventory.ini -e @down/credentials.yaml playbook/mu-mvp2-deploy.yaml

## prepare ?用处
```sh
docker run -d -it \
--name mu-install \
-v $PWD/ansible/bin:/etc/ansible/bin \
-v $PWD/ansible/down:/etc/ansible/down \
-v ~/.ssh:/root/.ssh \
-v $PWD/ansible/inventory.ini:/etc/ansible/inventory.ini \
hub.multiverse.io/multiverse/mu-ansible:74-main \
sh
```

4.2 Creating a NodePort for redis ?用处

4.3 Checking Mysql user permissions(ensure the user have the permission to access all the MU1 and MU2 schemas)
#不用check.

5.Upgrade MU2 components  
#同步到部署mu2脚本中
5.7 gitlab ha 方案过了吗？

5.8 Update soc sed configmap and create new topic
# soc是业务k8s集群的还是mu的

6.2 Execute build to build the go binary executable
# 配置解释

7. 1 Change all the MU1 user permission to readonl
# ?作用

8.1 .Backup MU1 COD & Deploy new MU2 COD to MU1 business environment）

# 没有租户cod如何操作？
# 也没有机器部署租户cod
# 操作mvp1还是mpv2 cod 有些迷糊

8.5 upgrade the soc-k8s-agent
# soc是业务k8s集群的还是mu的
9.Create bridge from MU2-PEM to MU2-PEM
# ?作用

10.3 MU1 database renamed and imported to MU2
# 实际不需要？
11. Data Migration
# 所有步骤标明目标节点
11.8 Shutdown MU1-SOC agent
# 这是哪个soc？
11.9 Disable SoC Topic/Queue
# ?作用
12. MU1 business gls upgrade to MU2
# 没有gls 怎么处理
14 gls
# 和11 更新gls的区别

15 ?

#sql 插入前后执行count(*)记录到日志中。
#
# 2.2.1 -> 2.4.1





        [global.tenant.tn000001.env]
            [global.tenant.tn000001.env.ev000002]
            env_code="EV000002"
            wks_code="WS000001"
            program_code="SPG00002"  # 123
            project_code="SPJ00002"  # 123
            env_phase = "Sit"

#MU2环境信息,redis
[redis]
addr = "10.30.108.108:37000"
user = ""
pwd = "SiriUs007"
[upm]
upmbss01_name="upmbss01"
upmbss01_config_name = "upmbss01-config" # skm deployed in k8s configmap name
upm_namespace = "default" # skm deploy in k8s namespace
upmbss01_new_downstream_replacement_file_path="./data/upm/upmbss01/upmbss01_new_downstream_replacement.toml"
upmbss01_replacement_target_content_file_path="./data/upm/upmbss01/upmbss01_replacement_target_content.toml"


ssh <mvp1 mu db>

```
mysql -uopsroot -p

delete from upm.upm_operation_permission op
 WHERE op.target_type = 1 AND exists (
  select 1 from upm.upm_button ub WHERE ub.id = op.target_id AND ub.label = 'Manage'
    );
```
cod 的迁移方案
