#!/bin/bash

# # Prompt for input and read the baseDir
# echo -e "ensure operator binary folder in the \"down\" folder[dos-binary-operator|ems-binary-operator|rbo],enter 'yes' to continue:"
# read -r baseDirConfirm
# if [[ "${baseDirConfirm,,}" != "yes" ]]; then
#   echo "Please confirm the base dir"
#   exit 1
# fi

# # Prompt for input and read the role
# echo -e "Enter the name of the role to be executed[rbo|dbo|ebo] : "
# read -r role
# if [[ -z "$role" ]]; then
#   echo "role can not be empty"
#   exit 1
# fi

# # Prompt for input and read the hosts
# echo -e "Enter the ip of the node to be executed[Comma separation] : "
# read -r hosts
# if [[ -z "$hosts" ]]; then
#   echo "hosts can not be empty"
#   exit 1
# fi
role=$1
hosts=$2

# Set IFS to a comma
IFS=','
hostsPath="ansible/hosts"
mainPath="ansible/main.yml"
cp ansible/hosts-template $hostsPath
cp ansible/main-template.yml $mainPath
# set execute node ip
for item in $hosts; do
    sed -i "/\[list\]/a $item" "$hostsPath"
done

# set execute role
sed -i "/roles:/a\    - $role" "$mainPath"

# set base dir
sed -i "s/base_dir=/&.\//" "$hostsPath"

# start to run ansible script
cd ansible || exit

ansible-playbook -i hosts main.yml

