# 2.1.0

## SQL
```sql
ALTER TABLE `workspace`.`w_tmp_api` ADD COLUMN `advance_match_rule` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL AFTER `event_code`;
ALTER TABLE `workspace`.`w_tmp_api` ADD COLUMN `enable_regex` tinyint(1) NULL DEFAULT NULL AFTER `advance_match_rule`;
ALTER TABLE `workspace`.`w_tmp_api` ADD COLUMN `priority` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL AFTER `enable_regex`;

UPDATE `environment`.`e_alert_channel` SET `name` = 'email', `type` = 'common', `description` = 'email', `create_time` = '2023-01-13 14:26:36', `creator_id` = 'system', `update_time` = '2023-01-13 14:26:36', `updator_id` = 'system', `attr` = '{\"server\":\"\",\"pwd\":\"\"}' WHERE `id` = 1;
UPDATE `environment`.`e_alert_channel` SET `name` = 'mu', `type` = 'default', `description` = 'default', `create_time` = '2023-01-18 22:10:01', `creator_id` = 'system', `update_time` = '2023-01-18 22:10:01', `updator_id` = 'system', `attr` = NULL WHERE `id` = 2;
UPDATE `environment`.`e_alert_channel` SET `name` = 'NFPS', `type` = '3rd', `description` = 'NFPS', `create_time` = '2023-01-13 14:27:49', `creator_id` = 'system', `update_time` = '2023-01-13 14:27:49', `updator_id` = 'system', `attr` = NULL WHERE `id` = 3;
-- k8s node add column scale_type for k8s cluster auto scale
ALTER TABLE `automation`.`a_k8s_node`
    ADD COLUMN `scale_type` VARCHAR(32) NOT NULL AFTER `ip`;

ALTER TABLE `automation`.`a_vm`
    ADD COLUMN `cluster_code` VARCHAR(32) NOT NULL AFTER `ip`,
    ADD COLUMN `scale_status` VARCHAR(32) NOT NULL AFTER `cluster_code`,
    ADD COLUMN `scale_up_time` DATETIME NULL AFTER `scale_status`,
    ADD COLUMN `scale_down_time` DATETIME NULL AFTER `scale_up_time`;
```

## deployment
- ansible目录的权限问题
- cod-template 目录下缺少docker-compose
- MU-TD 版本不正确，需要使用3.0版本TD
