INSERT INTO environment.e_alert_channel (id,name,`type`,description,create_time,creator_id,update_time,updator_id,attr) VALUES
	 (1,'email','common','email','2023-01-13 14:26:36','system','2023-01-13 14:26:36','system','{"server":"","pwd":""}'),
	 (2,'mu','default','default','2023-01-18 22:10:01','system','2023-01-18 22:10:01','system',NULL),
	 (3,'NFPS','3rd','NFPS','2023-01-13 14:27:49','system','2023-01-13 14:27:49','system',NULL);

INSERT INTO environment.e_alert_user (name,telphone,email,source,tenant_id,create_time,creator_id,update_time,updator_id) VALUES
	 ('mu','15013892839','n.li@siriustech.io','mu',314459018854656,'2023-11-22 16:36:15','system','2023-11-22 16:36:15','system');


INSERT INTO environment.e_alert_rule_template (workspace_id,env_id,rule_type,alert_type,alert_field,expression,`level`,period,frequency,count,create_time,creator_id,update_time,updator_id,status,org,recover_count,unit) VALUES
	 ('system','system','Metric','VM','HeartBeat','HeartBeat > 30s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','VM','RootINodeUsage','inodepercent >= 70','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','VM','CpuUsage','cpu >= 75','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','VM','MemUsage','mem >= 75','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','VM','DataDiskUsage','disk >= 85','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','VM','RootDiskUsage','rootdisk >= 85','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','VM','OpenFiles','openfile >= 30000','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','VM','TcpTimeWait','tcp_timewait >= 400','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','VM','DataINodeUsage','inode_data_percent >= 70','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','Mesh','QueueDepth','queue_depth >= 100','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL);
INSERT INTO environment.e_alert_rule_template (workspace_id,env_id,rule_type,alert_type,alert_field,expression,`level`,period,frequency,count,create_time,creator_id,update_time,updator_id,status,org,recover_count,unit) VALUES
	 ('system','system','Metric','Mesh','BridgeStatus','bridge_status != "up"','Warning','60s','10m',1,'2023-03-28 17:21:01','system','2023-03-28 17:21:01','system',1,'system',3,NULL),
	 ('system','system','Metric','Mesh','VpnState','vpn_status == "down"','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','Mesh','VpnUsage','vpn_percent >= 20','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','Kubernetes','ContainerStatus','containerstatus != "running"','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','RDB','RowLockTimeAvg','mysql_global_status_innodb_row_lock_time_avg >= 500','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'us'),
	 ('system','system','Metric','RDB','RowLockTimeMax','mysql_global_status_innodb_row_lock_time_max >= 500','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'us'),
	 ('system','system','Metric','RDB','RowLockTime','mysql_global_status_innodb_row_lock_time >= 500','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'us');
INSERT INTO environment.e_alert_rule_template (workspace_id,env_id,rule_type,alert_type,alert_field,expression,`level`,period,frequency,count,create_time,creator_id,update_time,updator_id,status,org,recover_count,unit) VALUES
	 ('system','system','Metric','API','CostTime','CostTime >= 2s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','API','IsSuccess','IsSuccess == 0','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','VM','RunINodeUsage','inode_run_percent >= 70','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Log','Log','RDBRunLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','ELBLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-04-15 19:08:04','system','2023-04-15 19:08:04','system',1,'system',3,NULL),
	 ('system','system','Log','Log','SedLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','VMLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','KubernetesLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','RDB','select','select >= 0.0005s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','ServiceLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL);
INSERT INTO environment.e_alert_rule_template (workspace_id,env_id,rule_type,alert_type,alert_field,expression,`level`,period,frequency,count,create_time,creator_id,update_time,updator_id,status,org,recover_count,unit) VALUES
	 ('system','system','Metric','KVC','command','command >= 0.1ms','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','ELB','ServerStatus','haproxy_server_status != 1','Warning','60s','10m',1,'2023-02-10 17:59:29','system','2023-02-10 17:59:29','system',1,'system',3,NULL),
	 ('system','system','Metric','KVC','ExpiredKeysCount','redis_expired_keys_total >= 10000','Warning','60s','10m',1,'2023-02-10 17:59:31','system','2023-02-10 17:59:31','system',1,'system',3,NULL),
	 ('system','system','Metric','Kubernetes','NodeCpuUsage','nodecpupercent >= 70','Warning','60s','10m',1,'2023-03-01 15:19:34','system','2023-03-01 15:19:34','system',1,'system',3,'%'),
	 ('system','system','Metric','Kubernetes','NodeMemUsage','nodemempercent >= 80','Warning','60s','10m',1,'2023-03-01 15:32:30','system','2023-03-01 15:32:30','system',1,'system',3,'%'),
	 ('system','system','Metric','Kubernetes','NodeStatus','nodestatus != "ready"','Warning','60s','10m',1,'2023-03-01 15:37:10','system','2023-03-01 15:37:10','system',1,'system',3,NULL),
	 ('system','system','Metric','RDB','NodeStatus','mysql_member_state_of_mgr != 2','Warning','60s','10m',1,'2023-03-01 16:09:58','system','2023-03-01 16:09:58','system',1,'system',3,NULL),
	 ('system','system','Metric','KVC','ConnectedClient','redis_connected_clients >= 70','Warning','60s','10m',1,'2023-04-10 14:29:24','system','2023-04-10 14:29:24','system',1,'system',3,NULL),
	 ('system','system','Log','Log','GLSLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','DXCLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL);
INSERT INTO environment.e_alert_rule_template (workspace_id,env_id,rule_type,alert_type,alert_field,expression,`level`,period,frequency,count,create_time,creator_id,update_time,updator_id,status,org,recover_count,unit) VALUES
	 ('system','system','Log','Log','TSDBLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','TiDBLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','DOSLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','KVCLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','MeshLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','MCLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','BCLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','AuditLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','RDBAuditLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL);
INSERT INTO environment.e_alert_rule_template (workspace_id,env_id,rule_type,alert_type,alert_field,expression,`level`,period,frequency,count,create_time,creator_id,update_time,updator_id,status,org,recover_count,unit) VALUES
	 ('system','system','Metric','RDB','ReplicationDelay','mysql_global_variables_innodb_replication_delay >= 10000','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'us'),
	 ('system','system','Metric','RDB','ThreadsConnected','mysql_global_status_threads_connected >= 80','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','KVC','RejectedConnections','redis_rejected_connections_total > 0','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','AIGLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','AOGLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','API','ReturnCode','ReturnCode != "0"','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','DPS','Status','status != "CONNECTED"','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','DPS','ProcessorLoadAverage','processor_load_average >= 1','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','DPS','ThreadsUsage','thread_percent >= 80','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','DPS','HeapUsage','heap_percent >= 80','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%');
INSERT INTO environment.e_alert_rule_template (workspace_id,env_id,rule_type,alert_type,alert_field,expression,`level`,period,frequency,count,create_time,creator_id,update_time,updator_id,status,org,recover_count,unit) VALUES
	 ('system','system','Metric','SKM','CertRemainingDays','cert_remaining_days <= 30','Warning','60s','10m',1,'2023-10-26 15:27:19','system','2023-10-26 15:27:19','system',1,'system',0,''),
	 ('system','system','Metric','SKM','CertRemainingDays','cert_remaining_days <= 10','Minor','60s','10m',1,'2023-10-26 15:27:19','system','2023-10-26 15:27:19','system',1,'system',0,''),
	 ('system','system','Metric','SKM','CertRemainingDays','cert_remaining_days <= 5','Major','60s','10m',1,'2023-10-26 15:27:19','system','2023-10-26 15:27:19','system',1,'system',0,''),
	 ('system','system','Metric','SKM','SecretRemainingDays','secret_remaining_days <= 30','Warning','60s','10m',1,'2023-10-26 16:09:58','system','2023-10-26 16:09:58','system',1,'system',0,''),
	 ('system','system','Metric','SKM','SecretRemainingDays','secret_remaining_days <= 5','Major','60s','10m',1,'2023-10-26 16:09:58','system','2023-10-26 16:09:58','system',1,'system',0,''),
	 ('system','system','Metric','NetWork','PingTTL','ttl >= 300','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'ms'),
	 ('system','system','Metric','NetWork','PingSYN','syn != true','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','NetWork','PingSuccess','ping != true','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL);
INSERT INTO environment.e_alert_rule_template (workspace_id,env_id,rule_type,alert_type,alert_field,expression,`level`,period,frequency,count,create_time,creator_id,update_time,updator_id,status,org,recover_count,unit) VALUES
	 ('system','system','Metric','Mesh','QueueUnAck','queue_unack >= 50','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','Mesh','HeartBeat','HeartBeat > 30s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','RDB','HeartBeat','HeartBeat > 30s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','DPS','HeartBeat','HeartBeat > 30s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','KVC','HeartBeat','HeartBeat > 30s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','ELB','HeartBeat','HeartBeat > 30s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','Kubernetes','HeartBeat','HeartBeat > 30s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','TSDB','HeartBeat','HeartBeat > 30s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL);
INSERT INTO environment.e_alert_rule_template (workspace_id,env_id,rule_type,alert_type,alert_field,expression,`level`,period,frequency,count,create_time,creator_id,update_time,updator_id,status,org,recover_count,unit) VALUES
	 ('system','system','Metric','TiDB','HeartBeat','HeartBeat > 30s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','DOS','HeartBeat','HeartBeat > 30s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','DXC','HeartBeat','HeartBeat > 30s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','GLS','HeartBeat','HeartBeat > 30s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','Mesh','SyncStatus','sync_status == "down"','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','Mesh','RedundancyStatus','redundancy_status == "down"','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','TSDB','DNodeStatus','dnode_status != "ready"','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','TSDB','TaosdCpuUsage','dnode_taosd_cpu_percent >= 70','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','TSDB','TaosdMemUsage','dnode_taosd_mem_percent >= 70','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%');
INSERT INTO environment.e_alert_rule_template (workspace_id,env_id,rule_type,alert_type,alert_field,expression,`level`,period,frequency,count,create_time,creator_id,update_time,updator_id,status,org,recover_count,unit) VALUES
	 ('system','system','Metric','TSDB','TaosdDiskUsage','dnode_disk_percent >= 70','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','SKM','HeartBeat','HeartBeat > 30s','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Log','Log','SKMLog','{"must":[],"should":["error","failed","disabled","timeout"],"must_not":[]}','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','ELB','BackendServerStatus','haproxy_backend_status != 1','Critical','60s','10m',1,'0000-00-00 00:00:00','system','0000-00-00 00:00:00','system',1,'system',3,NULL),
	 ('system','system','Metric','ELB','FrontendServerStatus','haproxy_frontend_status != 1','Critical','60s','10m',1,'0000-00-00 00:00:00','system','0000-00-00 00:00:00','system',1,'system',3,NULL),
	 ('system','system','Metric','DOS','Health','ceph_health_status != 1','Major','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','DOS','BucketObjectPercent','bucket_object_percent >= 70','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','DOS','BucketSizePercent','bucket_size_percent >= 70','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','GLS','ClusterUsedPercent','percentage >= 70','Major','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','GLS','TradeFailedPercent','trade_failed_percent >= 10','Critical','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%');
INSERT INTO environment.e_alert_rule_template (workspace_id,env_id,rule_type,alert_type,alert_field,expression,`level`,period,frequency,count,create_time,creator_id,update_time,updator_id,status,org,recover_count,unit) VALUES
	 ('system','system','Metric','Kubernetes','ContainerMemUsage','containermempercent >= 80','Warning','60s','10m',1,'2023-03-01 15:32:30','system','2023-03-01 15:32:30','system',1,'system',3,'%'),
	 ('system','system','Metric','Kubernetes','ContainerCpuUsage','containercpupercent >= 80','Warning','60s','10m',1,'2023-03-01 15:32:30','system','2023-03-01 15:32:30','system',1,'system',3,'%'),
	 ('system','system','Metric','KVC','EvictedKeysCount','redis_evicted_keys_total > 0','Warning','60s','10m',1,'2023-02-10 17:59:31','system','2023-02-10 17:59:31','system',1,'system',3,NULL),
	 ('system','system','Metric','Mesh','VPNConnectionUsage','vpn_connection_percent >= 80','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','Mesh','VPNEndpointUsage','vpn_endpoint_percent >= 80','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','Mesh','DMRStatus','dmr_status != "up"','Critical','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','Mesh','VPNDepth','vpn_depth >= 200','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','Mesh','VPNConsumerUsage','vpn_consumer_percent >= 80','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','DPS','ProvenanceRepository','provenance_repository_percent >= 80','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%');
INSERT INTO environment.e_alert_rule_template (workspace_id,env_id,rule_type,alert_type,alert_field,expression,`level`,period,frequency,count,create_time,creator_id,update_time,updator_id,status,org,recover_count,unit) VALUES
	 ('system','system','Metric','DPS','OldGCTime','old_gc_time >= 100','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'ms'),
	 ('system','system','Metric','DPS','YoungGCTime','young_gc_time >= 100','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'ms'),
	 ('system','system','Metric','DPS','FlowFileRepositoryUsage','flow_file_repository_percent >= 80','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','DPS','ContentRepositoryUsage','content_repository_percent >= 80','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','DPS','AvailableProcessors','available_processors < 1','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','RDB','LockWait','mysql_global_status_innodb_row_lock_current_waits >= 100','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,NULL),
	 ('system','system','Metric','TSDB','SystemCpuUsage','dnode_system_cpu_percent >= 70','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','TSDB','SystemMemUsage','dnode_system_mem_percent >= 70','Warning','60s','10m',1,'2023-02-10 15:33:59','system','2023-02-10 15:33:59','system',1,'system',3,'%'),
	 ('system','system','Metric','TiDB','TikvStorageUsage','tikv_storage_percent > 80','Warning','60s','10m',1,'2024-02-28 17:29:01','system','2024-02-28 17:29:01','system',1,'system',3,'%'),
	 ('system','system','Metric','TiDB','Status','status != "running"','Warning','60s','10m',1,'2024-02-28 17:30:28','system','2024-02-28 17:30:28','system',1,'system',3,NULL);



INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-01-09 23:28:53','0','2023-01-09 23:28:53','0','strategy','type','VM','VM'),
	 ('2023-01-09 23:29:04','0','2023-01-09 23:29:04','0','strategy','type','Mesh','Mesh'),
	 ('2023-01-09 23:29:15','0','2023-01-09 23:29:15','0','strategy','type','Service','Service'),
	 ('2023-01-09 23:29:29','0','2023-01-09 23:29:29','0','strategy','type','Kubernetes','Kubernetes'),
	 ('2023-01-09 23:29:46','0','2023-01-09 23:29:46','0','strategy','type','RDB','RDB'),
	 ('2023-01-09 23:29:46','0','2023-01-09 23:29:46','0','strategy','type','KVC','KVC'),
	 ('2023-02-10 17:52:24','0','2023-02-10 17:52:24','0','strategy','type','ELB','ELB'),
	 ('2023-02-20 11:06:07','0','2023-02-20 11:06:07','0','strategy','type','ServiceLog','ServiceLog'),
	 ('2023-02-20 11:06:18','0','2023-02-20 11:06:18','0','strategy','type','VMLog','VMLog'),
	 ('2023-02-20 11:06:51','0','2023-02-20 11:06:51','0','strategy','type','KubernetesLog','KubernetesLog');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-02-20 11:07:01','0','2023-02-20 11:07:01','0','strategy','type','SedLog','SedLog'),
	 ('2023-03-13 10:22:38','0','2023-03-13 10:22:38','0','strategy','type','TiDB','TiDB'),
	 ('2023-03-13 10:22:55','0','2023-03-13 10:22:55','0','strategy','type','TSDB','TSDB'),
	 ('2023-03-13 10:23:49','0','2023-03-13 10:23:49','0','strategy','type','GLS','GLS'),
	 ('2023-01-09 23:30:30','0','2023-01-09 23:30:30','0','alerttype','VM','cpu','CpuUsage'),
	 ('2023-01-09 23:30:55','0','2023-01-09 23:30:55','0','alerttype','VM','mem','MemUsage'),
	 ('2023-01-09 23:31:21','0','2023-01-09 23:31:21','0','alerttype','VM','disk','DataDiskUsage'),
	 ('2023-01-09 23:31:43','0','2023-01-09 23:31:43','0','alerttype','VM','rootdisk','RootDiskUsage'),
	 ('2023-01-09 23:32:42','0','2023-01-09 23:32:42','0','alerttype','VM','openfile','OpenFiles'),
	 ('2023-01-09 23:32:58','0','2023-01-09 23:32:58','0','alerttype','VM','tcp_timewait','TcpTimeWait');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-01-09 23:34:41','0','2023-01-09 23:34:41','0','alerttype','Mesh','queue_depth','QueueDepth'),
	 ('2023-01-09 23:35:07','0','2023-01-09 23:35:07','0','alerttype','Mesh','queue_percent','QueueUsage'),
	 ('2023-01-09 23:35:23','0','2023-01-09 23:35:23','0','alerttype','Mesh','queue_consumer','QueueConsumer'),
	 ('2023-01-09 23:35:39','0','2023-01-09 23:35:39','0','alerttype','Mesh','queue_topics','QueueTopicSubscriber'),
	 ('2023-01-09 23:36:25','0','2023-01-09 23:36:25','0','alerttype','Mesh','vpn_status','VpnState'),
	 ('2023-01-09 23:36:43','0','2023-01-09 23:36:43','0','alerttype','Mesh','vpn_percent','VpnUsage'),
	 ('2023-01-09 23:37:40','0','2023-01-09 23:37:40','0','alerttype','RDB','mysql_global_status_innodb_row_lock_time_avg','RowLockTimeAvg'),
	 ('2023-01-09 23:38:03','0','2023-01-09 23:38:03','0','alerttype','RDB','mysql_global_status_innodb_row_lock_time_max','RowLockTimeMax'),
	 ('2023-01-09 23:38:16','0','2023-01-09 23:38:16','0','alerttype','RDB','mysql_global_status_innodb_row_lock_time','RowLockTime'),
	 ('2023-01-09 23:38:37','0','2023-01-09 23:38:37','0','alerttype','VM','inodepercent','RootINodeUsage');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-01-09 23:38:57','0','2023-01-09 23:38:57','0','alerttype','VM','inode_data_percent','DataINodeUsage'),
	 ('2023-01-09 23:39:12','0','2023-01-09 23:39:12','0','alerttype','VM','inode_run_percent','RunINodeUsage'),
	 ('2023-01-09 23:39:38','0','2023-01-09 23:39:38','0','alerttype','Apm','ReturnCode','ReturnCode'),
	 ('2023-01-09 23:40:05','0','2023-01-09 23:40:05','0','alerttype','Apm','CostTime','CostTime'),
	 ('2023-01-09 23:40:38','0','2023-01-09 23:40:38','0','alerttype','Apm','SuccessRate','SuccessRate'),
	 ('2023-01-09 23:41:01','0','2023-01-09 23:41:01','0','alerttype','Log','Msg','Msg'),
	 ('2023-01-10 14:46:27','0','2023-01-10 14:46:27','0','alertlevel','Level','Major','Major'),
	 ('2023-01-10 14:46:34','0','2023-01-10 14:46:34','0','alertlevel','Level','Minor','Minor'),
	 ('2023-01-10 14:49:46','0','2023-01-10 14:49:46','0','alertlevel','Level','Critical','Critical'),
	 ('2023-01-10 14:50:00','0','2023-01-10 14:50:00','0','alertlevel','Level','Fatal','Fatal');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-01-10 14:50:44','0','2023-01-10 14:50:44','0','alertlevel','Level','Warning','Warning'),
	 ('2023-01-10 18:36:51','0','2023-01-10 18:36:51','0','logtype','Type','RDBRun','RDBRun'),
	 ('2023-01-10 18:38:04','0','2023-01-10 18:38:04','0','logtype','Type','Kubernetes','Kubernetes'),
	 ('2023-01-10 18:38:17','0','2023-01-10 18:38:17','0','logtype','Type','Service','Service'),
	 ('2023-01-10 18:38:20','0','2023-01-10 18:38:20','0','logtype','Type','Sed','Sed'),
	 ('2023-01-10 18:38:23','0','2023-01-10 18:38:23','0','logtype','Type','Audit','Audit'),
	 ('2023-01-10 18:38:34','0','2023-01-10 18:38:34','0','logtype','Type','VM','VM'),
	 ('2023-01-10 18:38:52','0','2023-01-10 18:38:52','0','logtype','Type','RDBAudit','RDBAudit'),
	 ('2023-01-10 18:39:10','0','2023-01-10 18:39:10','0','logtype','Type','RDBSlow','RDBSlow'),
	 ('2023-01-10 18:39:28','0','2023-01-10 18:39:28','0','logtype','Type','DOS','DOS');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-01-10 18:40:06','0','2023-01-10 18:40:06','0','logtype','Type','ELB','ELB'),
	 ('2023-01-10 18:40:48','0','2023-01-10 18:40:48','0','logtype','Type','KVCQuery','KVCQuery'),
	 ('2023-01-10 18:41:04','0','2023-01-10 18:41:04','0','logtype','Type','KVCSlow','KVCSlow'),
	 ('2023-01-10 18:41:18','0','2023-01-10 18:41:18','0','logtype','Type','Mesh','Mesh'),
	 ('2023-01-11 13:13:57','0','2023-01-11 13:13:57','0','alertfilter','Filter','name','Name'),
	 ('2023-01-11 13:14:09','0','2023-01-11 13:14:09','0','alertfilter','Filter','level','Level'),
	 ('2023-01-11 13:14:35','0','2023-01-11 13:14:35','0','alertfilter','Filter','msg','Msg'),
	 ('2023-01-11 13:15:00','0','2023-01-11 13:15:00','0','logfilter','Filter','level','Level'),
	 ('2023-01-11 13:15:27','0','2023-01-11 13:15:27','0','logfilter','Filter','msg','Msg'),
	 ('2023-01-13 13:49:50','0','2023-01-13 13:49:50','0','alertrule','Symbol','>','>');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-01-13 13:50:07','0','2023-01-13 13:50:07','0','alertrule','Symbol','>=','>='),
	 ('2023-01-13 13:50:16','0','2023-01-13 13:50:16','0','alertrule','Symbol','==','=='),
	 ('2023-01-13 13:50:26','0','2023-01-13 13:50:26','0','alertrule','Symbol','<','<'),
	 ('2023-01-13 13:50:37','0','2023-01-13 13:50:37','0','alertrule','Symbol','<=','<='),
	 ('2023-01-13 13:50:46','0','2023-01-13 13:50:46','0','alertrule','Symbol','!=','!='),
	 ('2023-01-13 13:51:41','0','2023-01-13 13:51:41','0','alertrule','Interval','300s','300s'),
	 ('2023-01-13 13:51:55','0','2023-01-13 13:51:55','0','alertrule','Interval','60s','60s'),
	 ('2023-01-13 13:52:05','0','2023-01-13 13:52:05','0','alertrule','Interval','90s','90s'),
	 ('2023-01-13 13:52:27','0','2023-01-13 13:52:27','0','alertrule','Interval','120s','120s'),
	 ('2023-01-13 13:52:39','0','2023-01-13 13:52:39','0','alertrule','Interval','180s','180s');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-01-13 13:53:08','0','2023-01-13 13:53:08','0','alertrule','Frequency','30m','30m'),
	 ('2023-01-13 13:53:26','0','2023-01-13 13:53:26','0','alertrule','Frequency','5m','5m'),
	 ('2023-01-13 13:53:38','0','2023-01-13 13:53:38','0','alertrule','Frequency','60m','60m'),
	 ('2023-01-13 13:53:48','0','2023-01-13 13:53:48','0','alertrule','Frequency','10m','10m'),
	 ('2023-01-13 14:20:19','0','2023-01-13 14:20:19','0','alertrule2','3rdChannel','NFPS','NFPS'),
	 ('2023-01-17 14:57:22','0','2023-01-17 14:57:22','0','alerttype','Service','CostTime','CostTime'),
	 ('2023-01-17 14:57:48','0','2023-01-17 14:57:48','0','alerttype','Service','ReturnCode','ReturnCode'),
	 ('2023-01-19 14:19:07','0','2023-01-19 14:19:07','0','strategy','logtype','VM','VM'),
	 ('2023-01-19 14:19:23','0','2023-01-19 14:19:23','0','strategy','logtype','Audit','Audit');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-01-19 14:19:26','0','2023-01-19 14:19:26','0','strategy','logtype','Service','Service'),
	 ('2023-01-19 14:20:11','0','2023-01-19 14:20:11','0','strategy','logtype','SKM','SKM'),
	 ('2023-01-19 14:20:26','0','2023-01-19 14:20:26','0','strategy','logtype','ELB','ELB'),
	 ('2023-01-19 14:20:39','0','2023-01-19 14:20:39','0','strategy','logtype','DOS','DOS'),
	 ('2023-01-19 14:20:55','0','2023-01-19 14:20:55','0','strategy','logtype','KVC','KVC'),
	 ('2023-01-19 14:21:06','0','2023-01-19 14:21:06','0','strategy','logtype','RDB','RDB'),
	 ('2023-01-19 14:21:24','0','2023-01-19 14:21:24','0','strategy','logtype','SED','SED'),
	 ('2023-01-19 14:21:52','0','2023-01-19 14:21:52','0','strategy','logtype','Kubernetes','Kubernetes'),
	 ('2023-01-19 14:22:03','0','2023-01-19 14:22:03','0','strategy','logtype','AIG','AIG'),
	 ('2023-01-19 14:22:13','0','2023-01-19 14:22:13','0','strategy','logtype','AOG','AOG');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-01-19 14:22:29','0','2023-01-19 14:22:29','0','strategy','logtype','RDBSlow','RDBSlow'),
	 ('2023-01-19 14:22:59','0','2023-01-19 14:22:59','0','strategy','logtype','Mesh','Mesh'),
	 ('2023-01-20 13:12:11','0','2023-01-20 13:12:11','0','logfilter','Filter','nodeIp','Ip'),
	 ('2023-01-20 13:12:15','0','2023-01-20 13:12:15','0','logfilter','Filter','traceid','traceId'),
	 ('2023-01-20 13:13:44','0','2023-01-20 13:13:44','0','logfilter','Filter','clusterid','clusterId'),
	 ('2023-01-20 13:35:26','0','2023-01-20 13:35:26','0','logfilter','Condition','Match','Match'),
	 ('2023-01-20 13:37:03','0','2023-01-20 13:37:03','0','logfilter','Condition','NotMatch','NotMatch'),
	 ('2023-02-01 17:08:43','0','2023-02-01 17:08:43','0','Interval','1h','5s','5s'),
	 ('2023-02-01 17:08:57','0','2023-02-01 17:08:57','0','Interval','1h','10s','10s'),
	 ('2023-02-01 17:09:07','0','2023-02-01 17:09:07','0','Interval','1h','15s','15s');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-02-01 17:09:36','0','2023-02-01 17:09:36','0','Interval','1h','30s','30s'),
	 ('2023-02-01 17:09:52','0','2023-02-01 17:09:52','0','Interval','1h','1m','1m'),
	 ('2023-02-01 17:10:05','0','2023-02-01 17:10:05','0','Interval','1h','5m','5m'),
	 ('2023-02-01 17:11:31','0','2023-02-01 17:11:31','0','serviceMetric','Calculation','avg','Average Value'),
	 ('2023-02-01 17:11:57','0','2023-02-01 17:11:57','0','serviceMetric','Calculation','max','Max Value'),
	 ('2023-02-01 18:19:38','0','2023-02-01 18:19:38','0','Interval','3h','30s','30s'),
	 ('2023-02-01 18:19:50','0','2023-02-01 18:19:50','0','Interval','3h','1m','1m'),
	 ('2023-02-01 18:20:06','0','2023-02-01 18:20:06','0','Interval','3h','5m','5m'),
	 ('2023-02-01 18:20:16','0','2023-02-01 18:20:16','0','Interval','3h','15m','15m'),
	 ('2023-02-01 18:20:32','0','2023-02-01 18:20:32','0','Interval','3h','15s','15s');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-02-01 18:20:58','0','2023-02-01 18:20:58','0','Interval','12h','5m','5m'),
	 ('2023-02-01 18:21:07','0','2023-02-01 18:21:07','0','Interval','12h','15m','15m'),
	 ('2023-02-01 18:21:19','0','2023-02-01 18:21:19','0','Interval','12h','1m','1m'),
	 ('2023-02-01 18:21:42','0','2023-02-01 18:21:42','0','Interval','24h','1m','1m'),
	 ('2023-02-01 18:21:51','0','2023-02-01 18:21:51','0','Interval','24h','5m','5m'),
	 ('2023-02-01 18:22:11','0','2023-02-01 18:22:11','0','Interval','24h','15m','15m'),
	 ('2023-02-01 18:22:19','0','2023-02-01 18:22:19','0','Interval','24h','30m','30m'),
	 ('2023-02-01 18:22:34','0','2023-02-01 18:22:34','0','Interval','7d','15m','15m'),
	 ('2023-02-01 18:22:48','0','2023-02-01 18:22:48','0','Interval','7d','5m','5m'),
	 ('2023-02-01 18:22:58','0','2023-02-01 18:22:58','0','Interval','7d','30m','30m');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-02-01 18:23:12','0','2023-02-01 18:23:12','0','Interval','7d','1h','1h'),
	 ('2023-02-06 17:20:35','0','2023-02-06 17:20:35','0','serviceMetric','Calculation','min','Min Value'),
	 ('2023-02-27 14:25:03','0','2023-02-27 14:25:03','0','alerttype','type','VM','VM'),
	 ('2023-02-27 14:26:36','0','2023-02-27 14:26:36','0','alerttype','type','Service','Service'),
	 ('2023-02-27 14:26:53','0','2023-02-27 14:26:53','0','alerttype','type','RDB','RDB'),
	 ('2023-02-27 14:27:15','0','2023-02-27 14:27:15','0','alerttype','type','ELB','ELB'),
	 ('2023-02-27 14:28:04','0','2023-02-27 14:28:04','0','alerttype','type','KVC','KVC'),
	 ('2023-02-27 14:28:31','0','2023-02-27 14:28:31','0','alerttype','type','Kubernetes','Kubernetes'),
	 ('2023-02-27 14:28:51','0','2023-02-27 14:28:51','0','alerttype','type','Mesh','Mesh'),
	 ('2023-02-27 14:29:40','0','2023-02-27 14:29:40','0','alerttype','type','TiDB','TiDB');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-02-27 14:29:53','0','2023-02-27 14:29:53','0','alerttype','type','TSDB','TSDB'),
	 ('2023-02-27 14:30:37','0','2023-02-27 14:30:37','0','alerttype','type','GLS','GLS'),
	 ('2023-03-01 11:37:31','0','2023-03-01 11:37:31','0','loglevel','level','info','Info'),
	 ('2023-03-01 11:37:44','0','2023-03-01 11:37:44','0','loglevel','level','error','Error'),
	 ('2023-03-01 11:38:00','0','2023-03-01 11:38:00','0','loglevel','level','debug','Debug'),
	 ('2023-03-01 15:49:08','0','2023-03-01 15:49:08','0','alerttype','Kubernetes','nodecpupercent','NodeCpuUsage'),
	 ('2023-03-01 15:49:25','0','2023-03-01 15:49:25','0','alerttype','Kubernetes','nodemempercent','NodeMemUsage'),
	 ('2023-03-01 15:52:21','0','2023-03-01 15:52:21','0','alerttype','KVC','redis_expired_keys_total','ExpiredKeysCount'),
	 ('2023-03-01 15:53:10','0','2023-03-01 15:53:10','0','alerttype','KVC','command','SlowQueryCostTime'),
	 ('2023-03-01 15:55:54','0','2023-03-01 15:55:54','0','alerttype','RDB','select','SlowQueryCostTime');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-13 09:46:26','0','2023-03-13 09:46:26','0','Service','field','msg','msg'),
	 ('2023-03-13 09:46:36','0','2023-03-13 09:46:36','0','Service','field','traceid','traceid'),
	 ('2023-03-13 09:47:20','0','2023-03-13 09:47:20','0','Service','field','service','service'),
	 ('2023-03-13 09:48:11','0','2023-03-13 09:48:11','0','VM','field','msg','msg'),
	 ('2023-03-13 09:48:23','0','2023-03-13 09:48:23','0','VM','field','process','process'),
	 ('0000-00-00 00:00:00','0','2023-03-13 09:48:45','0','VM','field','nodeIp','nodeIp'),
	 ('2023-03-13 09:49:21','0','2023-03-13 09:49:21','0','Service','field','nodeIp','nodeIp'),
	 ('2023-03-13 09:49:33','0','2023-03-13 09:49:33','0','Sed','field','nodeIp','nodeIp'),
	 ('2023-03-13 09:49:40','0','2023-03-13 09:49:40','0','Sed','field','msg','msg'),
	 ('2023-03-13 09:50:51','0','2023-03-13 09:50:51','0','Sed','field','service','service');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-13 09:51:20','0','2023-03-13 09:51:20','0','Kubernetes','field','nodeIp','nodeIp'),
	 ('2023-03-13 09:51:53','0','2023-03-13 09:51:53','0','Kubernetes','field','clusterid','clusterid'),
	 ('2023-03-13 09:52:33','0','2023-03-13 09:52:33','0','Kubernetes','field','msg','msg'),
	 ('2023-03-13 09:53:26','0','2023-03-13 09:53:26','0','Kubernetes','field','k8s_namespace','k8s_namespace'),
	 ('2023-03-13 09:53:34','0','2023-03-13 09:53:34','0','Kubernetes','field','k8s_name','k8s_name'),
	 ('2023-03-13 09:54:21','0','2023-03-13 09:54:21','0','Kubernetes','field','k8s_fromHost','k8s_fromHost'),
	 ('2023-03-13 09:55:51','0','2023-03-13 09:55:51','0','ELB','field','clusterid','clusterid'),
	 ('2023-03-13 09:56:54','0','2023-03-13 09:56:54','0','ELB','field','elb_requestFrontend','elb_requestFrontend'),
	 ('2023-03-13 09:57:07','0','2023-03-13 09:57:07','0','ELB','field','elb_requestBackend','elb_requestBackend'),
	 ('2023-03-13 09:57:43','0','2023-03-13 09:57:43','0','ELB','field','elb_requestUri','elb_requestUri');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-13 09:58:38','0','2023-03-13 09:58:38','0','DOS','field','nodeIp','nodeIp'),
	 ('2023-03-13 09:59:09','0','2023-03-13 09:59:09','0','DOS','field','clusterid','clusterid'),
	 ('2023-03-13 09:59:25','0','2023-03-13 09:59:25','0','DOS','field','msg','msg'),
	 ('2023-03-13 10:00:06','0','2023-03-13 10:00:06','0','DOS','field','host','host'),
	 ('2023-03-13 10:00:48','0','2023-03-13 10:00:48','0','RDBSlow','field','nodeIp','nodeIp'),
	 ('2023-03-13 10:00:50','0','2023-03-13 10:00:50','0','RDBSlow','field','clusterid','clusterid'),
	 ('2023-03-13 10:02:41','0','2023-03-13 10:02:41','0','RDBSlow','field','rdb_sql','rdb_sql'),
	 ('2023-03-13 10:02:49','0','2023-03-13 10:02:49','0','RDBSlow','field','user','user'),
	 ('2023-03-13 10:03:10','0','2023-03-13 10:03:10','0','RDBSlow','field','host','host'),
	 ('2023-03-13 10:04:23','0','2023-03-13 10:04:23','0','RDBRun','field','nodeIp','nodeIp');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-13 10:04:33','0','2023-03-13 10:04:33','0','RDBRun','field','clusterid','clusterid'),
	 ('2023-03-13 10:04:50','0','2023-03-13 10:04:50','0','RDBRun','field','msg','msg'),
	 ('2023-03-13 10:14:40','0','2023-03-13 10:14:40','0','alerttype','RDB','HeartBeat','HeartBeat'),
	 ('2023-01-09 23:31:59','0','2023-01-09 23:31:59','0','alerttype','VM','HeartBeat','HeartBeat'),
	 ('2023-03-13 10:16:35','0','2023-03-13 10:16:35','0','alerttype','Mesh','HeartBeat','HeartBeat'),
	 ('2023-03-13 10:16:51','0','2023-03-13 10:16:51','0','alerttype','KVC','HeartBeat','HeartBeat'),
	 ('2023-03-13 10:17:03','0','2023-03-13 10:17:03','0','alerttype','Kubernetes','HeartBeat','HeartBeat'),
	 ('2023-03-13 10:20:07','0','2023-03-13 10:20:07','0','alerttype','GLS','HeartBeat','HeartBeat'),
	 ('2023-03-13 10:20:24','0','2023-03-13 10:20:24','0','alerttype','ELB','HeartBeat','HeartBeat'),
	 ('2023-03-13 10:21:03','0','2023-03-13 10:21:03','0','alerttype','Service','HeartBeat','HeartBeat');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-13 10:21:11','0','2023-03-13 10:21:11','0','alerttype','TiDB','HeartBeat','HeartBeat'),
	 ('2023-03-13 10:21:14','0','2023-03-13 10:21:14','0','alerttype','TSDB','HeartBeat','HeartBeat'),
	 ('2023-03-13 15:24:21','0','2023-03-13 15:24:21','0','alertpolicy','citype','GLS','gls_cluster'),
	 ('2023-03-13 15:24:46','0','2023-03-13 15:24:46','0','alertpolicy','citype','TiDB','tidb_cluster'),
	 ('2023-03-13 15:25:00','0','2023-03-13 15:25:00','0','alertpolicy','citype','TSDB','tsdb_cluster'),
	 ('2023-03-13 15:26:02','0','2023-03-13 15:26:02','0','alertpolicy','citype','Service','service_instance'),
	 ('2023-03-13 15:26:23','0','2023-03-13 15:26:23','0','alertpolicy','citype','KVC','cache_cluster'),
	 ('2023-03-13 15:26:51','0','2023-03-13 15:26:51','0','alertpolicy','citype','VM','vm'),
	 ('2023-03-13 15:27:09','0','2023-03-13 15:27:09','0','alertpolicy','citype','Mesh','mesh'),
	 ('2023-03-13 15:27:35','0','2023-03-13 15:27:35','0','alertpolicy','citype','Kubernetes','k8s_cluster');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-13 15:28:48','0','2023-03-13 15:28:48','0','alertpolicy','citype','RDB','rdb_cluster'),
	 ('2023-03-13 15:29:57','0','2023-03-13 15:29:57','0','alertpolicy','citype','ELB','elb_cluster'),
	 ('2023-03-13 15:30:22','0','2023-03-13 15:30:22','0','alertpolicy','metric','GLS','paas+'),
	 ('2023-03-13 15:30:40','0','2023-03-13 15:30:40','0','alertpolicy','metric','TiDB','paas'),
	 ('2023-03-13 15:31:03','0','2023-03-13 15:31:03','0','alertpolicy','metric','TSDB','paas'),
	 ('2023-03-13 15:31:19','0','2023-03-13 15:31:19','0','alertpolicy','metric','Service','paas+'),
	 ('2023-03-13 15:31:28','0','2023-03-13 15:31:28','0','alertpolicy','metric','ELB','paas'),
	 ('2023-03-13 15:31:38','0','2023-03-13 15:31:38','0','alertpolicy','metric','RDB','paas'),
	 ('2023-03-13 15:32:33','0','2023-03-13 15:32:33','0','alertpolicy','metric','Kubernetes','paas'),
	 ('2023-03-13 15:33:11','0','2023-03-13 15:33:11','0','alertpolicy','metric','Mesh','paas');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-13 15:33:22','0','2023-03-13 15:33:22','0','alertpolicy','metric','VM','paas'),
	 ('2023-03-13 15:33:31','0','2023-03-13 15:33:31','0','alertpolicy','metric','KVC','paas'),
	 ('2023-03-13 16:18:14','0','2023-03-13 16:18:14','0','alertpolicy','target','GLS','name,code'),
	 ('2023-03-13 16:18:52','0','2023-03-13 16:18:52','0','alertpolicy','target','TiDB','clusterName,clusterId'),
	 ('2023-03-13 16:19:10','0','2023-03-13 16:19:10','0','alertpolicy','target','TSDB','clusterName,clusterId'),
	 ('2023-03-13 16:19:45','0','2023-03-13 16:19:45','0','alertpolicy','target','Service','name,code'),
	 ('2023-03-13 16:20:11','0','2023-03-13 16:20:11','0','alertpolicy','target','ELB','clusterName,clusterId'),
	 ('2023-03-13 16:20:30','0','2023-03-13 16:20:30','0','alertpolicy','target','RDB','clusterName,clusterId'),
	 ('2023-03-13 16:20:42','0','2023-03-13 16:20:42','0','alertpolicy','target','Kubernetes','clusterName,clusterCode'),
	 ('2023-03-13 16:21:34','0','2023-03-13 16:21:34','0','alertpolicy','target','Mesh','name,code');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-13 16:22:03','0','2023-03-13 16:22:03','0','alertpolicy','target','VM','ip,ip'),
	 ('2023-03-13 16:22:24','0','2023-03-13 16:22:24','0','alertpolicy','target','KVC','clusterName,clusterCode'),
	 ('2023-03-13 18:35:06','0','2023-03-13 18:35:06','0','RDBAudit','field','rdb_sql','rdb_sql'),
	 ('2023-03-13 18:35:18','0','2023-03-13 18:35:18','0','RDBAudit','field','clusterid','clusterid'),
	 ('2023-03-13 18:35:33','0','2023-03-13 18:35:33','0','RDBAudit','field','nodeIp','nodeIp'),
	 ('2023-03-13 18:35:35','0','2023-03-13 18:35:35','0','RDBAudit','field','user','user'),
	 ('2023-03-13 18:36:41','0','2023-03-13 18:36:41','0','Audit','field','nodeIp','nodeIp'),
	 ('2023-03-13 18:38:27','0','2023-03-13 18:38:27','0','Audit','field','traceid','traceid'),
	 ('2023-03-13 18:38:45','0','2023-03-13 18:38:45','0','Audit','field','service','service'),
	 ('2023-03-13 18:39:05','0','2023-03-13 18:39:05','0','Audit','field','user','user');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-13 18:39:31','0','2023-03-13 18:39:31','0','Audit','field','operator','operator'),
	 ('2023-03-13 18:40:02','0','2023-03-13 18:40:02','0','Audit','field','audit_request','audit_request'),
	 ('2023-03-13 18:40:30','0','2023-03-13 18:40:30','0','Audit','field','audit_response','audit_response'),
	 ('2023-03-14 10:37:03','0','2023-03-14 10:37:03','0','Mesh','field','nodeIp','nodeIp'),
	 ('2023-03-14 10:37:10','0','2023-03-14 10:37:10','0','Mesh','field','clusterid','clusterid'),
	 ('2023-03-14 10:37:28','0','2023-03-14 10:37:28','0','Mesh','field','msg','msg'),
	 ('2023-03-14 10:39:18','0','2023-03-14 10:39:18','0','KVCQuery','field','clusterid','clusterid'),
	 ('2023-03-14 10:39:26','0','2023-03-14 10:39:26','0','KVCQuery','field','nodeIp','nodeIp'),
	 ('2023-03-14 10:39:52','0','2023-03-14 10:39:52','0','KVCSlow','field','nodeIp','nodeIp'),
	 ('2023-03-14 10:40:02','0','2023-03-14 10:40:02','0','KVCSlow','field','clusterid','clusterid');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-14 10:40:34','0','2023-03-14 10:40:34','0','KVCSlow','field','msg','msg'),
	 ('2023-03-14 17:03:32','0','2023-03-14 17:03:32','0','ELB','field','nodeIp','nodeIp'),
	 ('2023-03-14 18:57:26','0','2023-03-14 18:57:26','0','alerttype','type','DOS','DOS'),
	 ('2023-03-15 18:26:22','0','2023-03-15 18:26:22','0','alerttype','type','DXC','DXC'),
	 ('2023-03-17 18:57:01','0','2023-03-17 18:57:01','0','loglevel','level','warn','Warning'),
	 ('2023-04-06 17:28:40','0','2023-04-06 17:28:40','0','alertReceiver','filter','name','User'),
	 ('2023-04-06 17:28:54','0','2023-04-06 17:28:54','0','alertReceiver','filter','telphone','Phone'),
	 ('2023-04-06 17:29:08','0','2023-04-06 17:29:08','0','alertReceiver','filter','email','Email'),
	 ('2023-03-13 10:16:51','0','2023-03-13 10:16:51','0','alerttype','KVC','redis_connected_clients','ConnectedClient'),
	 ('2023-04-11 17:57:22','0','2023-04-11 17:57:22','0','loglevel','service','info','Info');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-04-11 17:57:33','0','2023-04-11 17:57:33','0','loglevel','service','debug','Debug'),
	 ('2023-04-11 17:57:47','0','2023-04-11 17:57:47','0','loglevel','service','error','Error'),
	 ('2023-04-12 10:21:57','0','2023-04-12 10:21:57','0','metricfield','service','id','ID'),
	 ('2023-04-12 10:22:48','0','2023-04-12 10:22:48','0','metricfield','service','name','Name'),
	 ('2023-04-12 10:31:39','0','2023-04-12 10:31:39','0','status','monitor','Normal','Normal'),
	 ('2023-04-12 10:31:51','0','2023-04-12 10:31:51','0','status','monitor','Unhealthy','Unhealthy'),
	 ('2023-04-12 10:32:05','0','2023-04-12 10:32:05','0','status','monitor','Unavailable','Unavailable'),
	 ('2023-04-12 11:47:40','0','2023-04-12 11:47:40','0','servicetype','service','BOS','BOS'),
	 ('2023-04-12 11:47:58','0','2023-04-12 11:47:58','0','servicetype','service','BTS','BTS'),
	 ('2023-04-12 11:48:07','0','2023-04-12 11:48:07','0','servicetype','service','MAS','MAS');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-04-12 11:48:17','0','2023-04-12 11:48:17','0','servicetype','service','DAS','DAS'),
	 ('2023-04-12 12:29:15','0','2023-04-12 12:29:15','0','metricfield','VM','ip','Ip'),
	 ('2023-04-12 12:29:31','0','2023-04-12 12:29:31','0','metricfield','VM','purpose','Purpose'),
	 ('2023-04-12 15:04:04','0','2023-04-12 15:04:04','0','metricfield','k8s','id','ID'),
	 ('2023-04-12 15:04:14','0','2023-04-12 15:04:14','0','metricfield','k8s','name','Name'),
	 ('2023-04-14 18:00:20','0','2023-04-14 18:00:20','0','logtype','type','GLS','GLS'),
	 ('2023-04-14 18:00:29','0','2023-04-14 18:00:29','0','logtype','type','DXC','DXC'),
	 ('2023-04-14 18:00:38','0','2023-04-14 18:00:38','0','logtype','type','TiDB','TiDB'),
	 ('2023-04-14 18:00:49','0','2023-04-14 18:00:49','0','logtype','type','TSDB','TSDB'),
	 ('2023-04-14 18:04:50','0','2023-04-14 18:04:50','0','strategy','type','DXC','DXC');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-04-14 18:07:40','0','2023-04-14 18:07:40','0','alerttype','DXC','HeartBeat','HeartBeat'),
	 ('2023-04-14 18:10:25','0','2023-04-14 18:10:25','0','GLS','field','msg','msg'),
	 ('2023-04-14 18:10:49','0','2023-04-14 18:10:49','0','DXC','field','msg','msg'),
	 ('2023-04-14 18:13:16','0','2023-04-14 18:13:16','0','alertpolicy','metric','DXC','paas+'),
	 ('2023-01-09 23:29:46','0','2023-01-09 23:29:46','0','strategy','type','DOS','DOS'),
	 ('2023-04-14 18:07:40','0','2023-04-14 18:07:40','0','alerttype','DOS','HeartBeat','HeartBeat'),
	 ('2023-04-14 18:13:16','0','2023-04-14 18:13:16','0','alertpolicy','metric','DOS','paas'),
	 ('2023-03-13 15:26:23','0','2023-03-13 15:26:23','0','alertpolicy','citype','DXC','dxc_cluster'),
	 ('2023-03-13 15:26:23','0','2023-03-13 15:26:23','0','alertpolicy','citype','DOS','ceph_rados_cluster'),
	 ('2023-04-12 15:04:14','0','2023-04-12 15:04:14','0','metricfield','DXC','name','Name');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-04-12 15:04:14','0','2023-04-12 15:04:14','0','metricfield','DXC','id','ID'),
	 ('2023-04-14 19:04:20','0','2023-04-14 19:04:20','0','TiDB','field','msg','msg'),
	 ('2023-04-14 19:04:36','0','2023-04-14 19:04:36','0','TiDB','field','clusterid','clusterid'),
	 ('2023-04-14 19:04:43','0','2023-04-14 19:04:43','0','TSDB','field','msg','msg'),
	 ('2023-04-14 19:04:54','0','2023-04-14 19:04:54','0','TSDB','field','clusterid','clusterid'),
	 ('2023-03-13 16:19:45','0','2023-03-13 16:19:45','0','alertpolicy','target','DXC','name,code'),
	 ('2023-03-13 16:19:45','0','2023-03-13 16:19:45','0','alertpolicy','target','DOS','clusterName,clusterCode'),
	 ('2023-02-20 11:06:51','0','2023-02-20 11:06:51','0','strategy','type','MeshLog','MeshLog'),
	 ('2023-02-20 11:06:51','0','2023-02-20 11:06:51','0','strategy','type','DOSLog','DOSLog'),
	 ('2023-02-20 11:06:51','0','2023-02-20 11:06:51','0','strategy','type','TSDBLog','TSDBLog');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-02-20 11:06:51','0','2023-02-20 11:06:51','0','strategy','type','TiDBLog','TiDBLog'),
	 ('2023-02-20 11:06:51','0','2023-02-20 11:06:51','0','strategy','type','GLSLog','GLSLog'),
	 ('2023-02-20 11:06:51','0','2023-02-20 11:06:51','0','strategy','type','DXCLog','DXCLog'),
	 ('2023-04-15 19:07:13','0','2023-04-15 19:07:13','0','strategy','type','ELBLog','ELBLog'),
	 ('2023-04-15 19:10:09','0','2023-04-15 19:10:09','0','strategy','type','KVCLog','KVCLog'),
	 ('2023-04-15 19:10:21','0','2023-04-15 19:10:21','0','strategy','type','RDBAuditLog','RDBAuditLog'),
	 ('2023-04-15 19:16:27','0','2023-04-15 19:16:27','0','strategy','type','MCLog','MCLog'),
	 ('2023-04-15 19:16:39','0','2023-04-15 19:16:39','0','strategy','type','BCLog','BCLog'),
	 ('2023-04-15 19:16:39','0','2023-04-15 19:16:39','0','strategy','type','AuditLog','AuditLog'),
	 ('2023-04-15 19:16:39','0','2023-04-15 19:16:39','0','strategy','type','RDBRunLog','RDBRunLog');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-01 15:55:54','0','2023-03-01 15:55:54','0','alerttype','RDB','mysql_global_variables_innodb_replication_delay','ReplicationDelay'),
	 ('2023-03-01 15:55:54','0','2023-03-01 15:55:54','0','alerttype','RDB','mysql_global_status_threads_connected','ThreadsConnected'),
	 ('2023-03-13 10:16:51','0','2023-03-13 10:16:51','0','alerttype','KVC','redis_rejected_connections_total','RejectedConnections'),
	 ('2023-03-13 10:16:51','0','2023-03-13 10:16:51','0','alerttype','KVC','redis_memory_used_bytes','MemUsage'),
	 ('2023-03-14 10:39:52','0','2023-03-14 10:39:52','0','TiDB','field','nodeIp','nodeIp'),
	 ('2023-03-14 10:39:52','0','2023-03-14 10:39:52','0','TSDB','field','nodeIp','nodeIp'),
	 ('2023-03-14 10:39:52','0','2023-03-14 10:39:52','0','GLS','field','nodeIp','nodeIp'),
	 ('2023-03-14 10:39:52','0','2023-03-14 10:39:52','0','DXC','field','nodeIp','nodeIp'),
	 ('2023-05-16 17:51:23','nanili','2023-05-16 17:51:23','nanili','alerttype','type','AIG','AIG'),
	 ('2023-05-16 17:51:38','nanili','2023-05-16 17:51:38','nanili','alerttype','type','AOG','AOG');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','logtype','type','AIG','AIG'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','logtype','type','AOG','AOG'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','strategy','type','AIGLog','AIGLog'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','strategy','type','AOGLog','AOGLog'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','alerttype','AOG','HeartBeat','HeartBeat'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','alerttype','AIG','HeartBeat','HeartBeat'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','alertpolicy','metric','AIG','paas+'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','alertpolicy','metric','AOG','paas+'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','AIG','field','msg','msg'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','AOG','field','msg','msg');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','strategy','type','AOG','AOG'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','strategy','type','AIG','AIG'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','logtype','type','all','All'),
	 ('2023-05-18 20:02:59','nanili','2023-05-18 20:02:59','nanili','All','field','all','all'),
	 ('2023-01-09 23:40:38','nanili','2023-01-09 23:40:38','nanili','alerttype','Service','IsSuccess','IsSuccess'),
	 ('2023-01-17 14:57:22','nanili','2023-01-17 14:57:22','nanili','alerttype','API','CostTime','CostTime'),
	 ('2023-01-17 14:57:22','nanili','2023-01-17 14:57:22','nanili','alerttype','API','ReturnCode','ReturnCode'),
	 ('2023-01-17 14:57:22','nanili','2023-01-17 14:57:22','nanili','alerttype','API','IsSuccess','IsSuccess'),
	 ('2023-02-20 11:06:51','nanili','2023-02-20 11:06:51','nanili','strategy','type','API','API'),
	 ('2023-02-27 14:27:15','nanili','2023-02-27 14:27:15','nanili','alerttype','type','API','API');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-01-10 18:41:04','nanili1','2023-01-10 18:41:04','nanili1','logtype','Type','Trace','Trace'),
	 ('2023-04-14 19:04:43','nanili','2023-04-14 19:04:43','nanili','Trace','field','msg','msg'),
	 ('2023-06-08 15:27:06','nanili','2023-06-08 15:27:06','nanili','Trace','field','traceid','traceid'),
	 ('2023-06-08 15:27:34','nanili','2023-06-08 15:27:34','nanili','Trace','field','trace_topic_or_url','trace_topic_or_url'),
	 ('2023-06-08 15:27:58','nanili','2023-06-08 15:27:58','nanili','Trace','field','nodeIp','nodeIp'),
	 ('2023-06-08 15:29:41','nanili','2023-06-08 15:29:41','nanili','Trace','field','trace_success','trace_success'),
	 ('2023-06-08 15:30:02','nanili','2023-06-08 15:30:02','nanili','Trace','field','trace_reject','trace_reject'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','alertpolicy','env_filter_key','AIG','environment_id'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','alertpolicy','env_filter_key','AOG','environment_id'),
	 ('2023-04-14 18:13:16','nanili','2023-04-14 18:13:16','nanili','alertpolicy','env_filter_key','DOS','environment');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-04-14 18:13:16','nanili','2023-04-14 18:13:16','nanili','alertpolicy','env_filter_key','DXC','env_id'),
	 ('2023-03-13 15:31:28','nanili','2023-03-13 15:31:28','nanili','alertpolicy','env_filter_key','ELB','environment'),
	 ('2023-03-13 15:30:22','nanili','2023-03-13 15:30:22','nanili','alertpolicy','env_filter_key','GLS','env_id'),
	 ('2023-03-13 15:32:33','nanili','2023-03-13 15:32:33','nanili','alertpolicy','env_filter_key','Kubernetes','environment'),
	 ('2023-03-13 15:33:31','nanili','2023-03-13 15:33:31','nanili','alertpolicy','env_filter_key','KVC','environment'),
	 ('2023-03-13 15:33:11','nanili','2023-03-13 15:33:11','nanili','alertpolicy','env_filter_key','Mesh','environment'),
	 ('2023-03-13 15:31:38','nanili','2023-03-13 15:31:38','nanili','alertpolicy','env_filter_key','RDB','environment'),
	 ('2023-03-13 15:31:19','nanili','2023-03-13 15:31:19','nanili','alertpolicy','env_filter_key','Service','environment_id'),
	 ('2023-03-13 15:30:40','nanili','2023-03-13 15:30:40','nanili','alertpolicy','env_filter_key','TiDB','environment'),
	 ('2023-03-13 15:31:03','nanili','2023-03-13 15:31:03','nanili','alertpolicy','env_filter_key','TSDB','environment');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-13 15:33:22','nanili','2023-03-13 15:33:22','nanili','alertpolicy','env_filter_key','VM','environment'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','alertpolicy','env_filter_value','AIG','id'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','alertpolicy','env_filter_value','AOG','id'),
	 ('2023-04-14 18:13:16','nanili','2023-04-14 18:13:16','nanili','alertpolicy','env_filter_value','DOS','code'),
	 ('2023-04-14 18:13:16','nanili','2023-04-14 18:13:16','nanili','alertpolicy','env_filter_value','DXC','id'),
	 ('2023-03-13 15:31:28','nanili','2023-03-13 15:31:28','nanili','alertpolicy','env_filter_value','ELB','code'),
	 ('2023-03-13 15:30:22','nanili','2023-03-13 15:30:22','nanili','alertpolicy','env_filter_value','GLS','env_id'),
	 ('2023-03-13 15:32:33','nanili','2023-03-13 15:32:33','nanili','alertpolicy','env_filter_value','Kubernetes','code'),
	 ('2023-03-13 15:33:31','nanili','2023-03-13 15:33:31','nanili','alertpolicy','env_filter_value','KVC','code'),
	 ('2023-03-13 15:33:11','nanili','2023-03-13 15:33:11','nanili','alertpolicy','env_filter_value','Mesh','code');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-13 15:31:38','nanili','2023-03-13 15:31:38','nanili','alertpolicy','env_filter_value','RDB','code'),
	 ('2023-03-13 15:31:19','nanili','2023-03-13 15:31:19','nanili','alertpolicy','env_filter_value','Service','id'),
	 ('2023-03-13 15:30:40','nanili','2023-03-13 15:30:40','nanili','alertpolicy','env_filter_value','TiDB','code'),
	 ('2023-03-13 15:31:03','nanili','2023-03-13 15:31:03','nanili','alertpolicy','env_filter_value','TSDB','code'),
	 ('2023-03-13 15:33:22','nanili','2023-03-13 15:33:22','nanili','alertpolicy','env_filter_value','VM','code'),
	 ('2023-06-15 15:08:14','nanili','2023-06-15 15:08:14','nanili','VM','Cpu','80','Yellow'),
	 ('2023-06-15 15:08:30','nanili','2023-06-15 15:08:30','nanili','VM','Cpu','90','Red'),
	 ('2023-06-15 15:08:44','nanili','2023-06-15 15:08:44','nanili','VM','Mem','80','Yellow'),
	 ('2023-06-15 15:08:57','nanili','2023-06-15 15:08:57','nanili','VM','Mem','90','Red'),
	 ('2023-06-15 15:09:11','nanili','2023-06-15 15:09:11','nanili','VM','RootDisk','80','Yellow');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-06-15 15:09:24','nanili','2023-06-15 15:09:24','nanili','VM','RootDisk','90','Red'),
	 ('2023-06-15 15:09:50','nanili','2023-06-15 15:09:50','nanili','VM','DataDisk','80','Yellow'),
	 ('2023-06-15 15:10:06','nanili','2023-06-15 15:10:06','nanili','VM','DataDisk','90','Red'),
	 ('2023-06-15 15:10:28','nanili','2023-06-15 15:10:28','nanili','Kubernetes','Cpu','80','Yellow'),
	 ('2023-06-15 15:10:37','nanili','2023-06-15 15:10:37','nanili','Kubernetes','Cpu','90','Red'),
	 ('2023-06-15 15:10:58','nanili','2023-06-15 15:10:58','nanili','Kubernetes','Mem','80','Yellow'),
	 ('2023-06-15 15:11:10','nanili','2023-06-15 15:11:10','nanili','Kubernetes','Mem','90','Red'),
	 ('2023-06-16 12:01:20','nanili','2023-06-16 12:01:20','nanili','alert','level','Warning','Warning'),
	 ('2023-06-16 12:01:43','nanili','2023-06-16 12:01:43','nanili','alert','level','Minor','Minor'),
	 ('2023-06-16 12:01:58','nanili','2023-06-16 12:01:58','nanili','alert','level','Major','Major');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-06-16 12:02:21','nanili','2023-06-16 12:02:21','nanili','alert','level','Critical','Critical'),
	 ('2023-06-16 12:02:37','nanili','2023-06-16 12:02:37','nanili','alert','level','Fatal','Fatal'),
	 ('2023-01-10 18:40:06','nanili','2023-01-10 18:40:06','nanili','logtype','Type','BC','BC'),
	 ('2023-07-04 11:42:00','nanili','2023-07-04 11:42:00','nanili','alerttype','type','BC','BC'),
	 ('2023-07-04 11:42:00','nanili','2023-07-04 11:42:00','nanili','alerttype','BC','HeartBeat','HeartBeat'),
	 ('2023-07-04 11:42:00','nanili','2023-07-04 11:42:00','nanili','BC','field','nodeIp','nodeIp'),
	 ('2023-07-04 11:42:00','nanili','2023-07-04 11:42:00','nanili','BC','field','msg','msg'),
	 ('2023-07-04 11:42:00','nanili','2023-07-04 11:42:00','nanili','strategy','type','BC','BC'),
	 ('2023-08-16 19:00:00','nanili','2023-08-16 19:00:00','nanili','logtype','Type','DPS','DPS'),
	 ('2023-08-16 19:01:35','nanili','2023-08-16 19:01:35','nanili','DPS','field','msg','msg');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-08-16 19:02:22','nanili','2023-08-16 19:02:22','nanili','DPS','field','nodeIp','nodeIp'),
	 ('2023-08-16 19:03:28','nanili','2023-08-16 19:03:28','nanili','DPS','field','clusterid','clusterid'),
	 ('2023-04-12 11:48:07','nanili','2023-04-12 11:48:07','nanili','servicetype','service','BFF','BFF'),
	 ('2023-10-25 10:14:52','nanili','2023-10-25 10:14:52','nanili','alerttype','type','SKM','SKM'),
	 ('2023-10-25 10:15:31','nanili','2023-10-25 10:15:31','nanili','alerttype','SKM','secret_remaining_days','SecretRemainingDays'),
	 ('2023-10-25 10:15:54','nanili','2023-10-25 10:15:54','nanili','alerttype','SKM','cert_remaining_days','CertRemainingDays'),
	 ('2023-10-25 10:17:14','nanili','2023-10-25 10:17:14','nanili','strategy','type','SKM','SKM'),
	 ('2023-10-25 10:26:54','nanili','2023-10-25 10:26:54','nanili','logtype','type','SKM','SKM'),
	 ('2023-10-25 10:30:05','nanili','2023-10-25 10:30:05','nanili','skm','field','msg','msg'),
	 ('2023-10-25 10:31:01','nanili','2023-10-25 10:31:01','nanili','skm','field','nodeIp','nodeIp');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-02-27 14:28:51','nanili','2023-02-27 14:28:51','nanili','alerttype','type','NetWork','NetWork'),
	 ('2023-02-27 14:28:51','nanili','2023-02-27 14:28:51','nanili','alerttype','type','DPS','DPS'),
	 ('2023-10-25 10:20:46','nanili','2023-10-25 10:20:46','nanili','strategy','type','DPS','DPS'),
	 ('2023-10-25 10:15:54','nanili','2023-10-25 10:15:54','nanili','alerttype','DPS','content_repository_percent','ContentRepUsage'),
	 ('2023-10-25 10:15:54','nanili','2023-10-25 10:15:54','nanili','alerttype','DPS','heap_percent','HeapUsage'),
	 ('2023-10-25 10:15:54','nanili','2023-10-25 10:15:54','nanili','alerttype','DPS','thread_percent','ThreadsUsage'),
	 ('2023-10-25 10:15:54','nanili','2023-10-25 10:15:54','nanili','alerttype','DPS','processor_load_average','ProcessorLoadAverage'),
	 ('2023-10-25 10:15:54','nanili','2023-10-25 10:15:54','nanili','alerttype','DPS','status','Status'),
	 ('2023-03-01 15:49:25','nanili','2023-03-01 15:49:25','nanili','alerttype','Kubernetes','nodestatus','NodeStatus'),
	 ('2023-03-01 15:49:25','nanili','2023-03-01 15:49:25','nanili','alerttype','Kubernetes','podstatus','PodStatus');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-01 15:49:25','nanili','2023-03-01 15:49:25','nanili','alerttype','Kubernetes','containerstatus','ContainerStatus'),
	 ('2023-01-09 23:34:41','0','2023-01-09 23:34:41','0','alerttype','Mesh','queue_ttl','QueueTTL'),
	 ('2023-01-09 23:34:41','0','2023-01-09 23:34:41','0','alerttype','Mesh','queue_unack','QueueUnAck'),
	 ('2023-01-09 23:34:41','0','2023-01-09 23:34:41','0','alerttype','Mesh','queue_outgoing','QueueOutgoing'),
	 ('2023-01-09 23:34:41','0','2023-01-09 23:34:41','0','alerttype','Mesh','queue_incoming','QueueIncoming'),
	 ('2023-01-09 23:34:41','0','2023-01-09 23:34:41','0','alerttype','Mesh','bridge_status','BridgeStatus'),
	 ('2023-01-09 23:34:41','0','2023-01-09 23:34:41','0','alerttype','RDB','mysql_member_state_of_mgr','NodeStatus'),
	 ('2023-03-13 10:20:24','0','2023-03-13 10:20:24','0','alerttype','ELB','haproxy_server_status','ServerStatus'),
	 ('2023-07-04 11:42:00','nanili','2023-07-04 11:42:00','nanili','alerttype','DPS','HeartBeat','HeartBeat'),
	 ('2023-12-07 15:05:39','nanili','2023-12-07 15:05:39','nanili','alertsetting','channel','EMail','email');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-12-07 16:18:22','nanili','2023-12-07 16:18:22','nanili','alertsetting','item','AlertRuleID','{{AlertRuleID}}'),
	 ('2023-12-07 16:18:44','nanili','2023-12-07 16:18:44','nanili','alertsetting','item','Org','{{Org}}'),
	 ('2023-12-07 16:19:10','nanili','2023-12-07 16:19:10','nanili','alertsetting','item','ResourcegroupOrEnv','{{ResourcegroupOrEnv}}'),
	 ('2023-12-07 16:20:14','nanili','2023-12-07 16:20:14','nanili','alertsetting','item','AlertValue','{{AlertValue}}'),
	 ('2023-12-07 16:21:50','nanili','2023-12-07 16:21:50','nanili','alertsetting','defaultitem','AlertName','{{AlertName}}'),
	 ('2023-12-07 16:22:14','nanili','2023-12-07 16:22:14','nanili','alertsetting','defaultitem','AlertTarget','{{AlertTarget}}'),
	 ('2023-12-07 16:22:37','nanili','2023-12-07 16:22:37','nanili','alertsetting','defaultitem','AlertLevel','{{AlertLevel}}'),
	 ('2023-12-07 16:23:05','nanili','2023-12-07 16:23:05','nanili','alertsetting','defaultitem','AlertMessage','{{AlertMessage}}'),
	 ('2023-12-07 16:23:30','nanili','2023-12-07 16:23:30','nanili','alertsetting','defaultitem','AlertTime','{{AlertTime}}'),
	 ('2023-12-07 16:23:54','nanili','2023-12-07 16:23:54','nanili','alertsetting','defaultitem','AlertDetail','{{AlertDetail}}');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-12-07 16:24:29','nanili','2023-12-07 16:24:29','nanili','alertsetting','defaultitem','AlertType','{{AlertType}}'),
	 ('2023-12-07 16:30:05','nanili','2023-12-07 16:30:05','nanili','alertsetting','template','email','<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    </head>
    <body style="margin: 0; padding: 0">
        <table cellspacing="4" cellpadding="3" width="650" border="1" style="table-layout:fixed;border:5px solid #F2F2F2;">
            <tbody>
                <tr> <th align="left" style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;"><b>AlertItems</b></th><th align="left" style="font-family:Microsoft YaHei; width: 80%;word-wrap:break-word;"><b>Content</b></th></tr>
            </tbody>
                <tr>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;">AlertName</td>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;" bgcolor="#ff0000">{{AlertName}}</td>
                </tr>
                <tr>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;">AlertTarget</td>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;" bgcolor="#ff0000">{{AlertTarget}}</td>
                </tr>
                <tr>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;">AlertLevel</td>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;">{{AlertLevel}}</td>
                </tr>
                <tr>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;">AlertMessage</td>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;" bgcolor="#ff0000">{{AlertMessage}}</td>
                </tr>
                <tr>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;">AlertTime</td>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;">{{AlertTime}}</td>
                </tr>
                <tr>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;">AlertDetail</td>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;">{{AlertDetail}}</td>
                </tr>
                <tr>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;">AlertType</td>
                    <td style="font-family:Microsoft YaHei; width: 20%;word-wrap:break-word;">{{AlertType}}</td>
                </tr>
        </table>
    </body>
</html>'),
	 ('2024-01-10 10:07:09','nanili','2024-01-10 10:07:09','nanili','skmpolicy','Operator','IN','IS WITHIN RANGE'),
	 ('2024-01-10 10:07:42','nanili','2024-01-10 10:07:42','nanili','skmpolicy','Operator','OUT','IS OUTSIDE RANGE'),
	 ('2023-01-13 13:53:08','nanili','2023-01-13 13:53:08','nanili','alertrule','Frequency','12h','12h'),
	 ('2023-01-13 13:53:08','nanili','2023-01-13 13:53:08','nanili','alertrule','Frequency','24h','24h'),
	 ('0000-00-00 00:00:00','0','0000-00-00 00:00:00','0','alerttype','ELB','haproxy_backend_status','BackendServerStatus'),
	 ('0000-00-00 00:00:00','0','0000-00-00 00:00:00','0','alerttype','ELB','haproxy_frontend_status','FrontendServerStatus'),
	 ('2024-02-28 13:57:19','nanili','2024-02-28 13:57:19','nanili','alerttype','DOS','ceph_health_status','Health'),
	 ('2024-02-28 14:00:52','nanili','2024-02-28 14:00:52','nanili','alerttype','DOS','bucket_object_percent','BucketObjectPercent');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-02-28 14:01:35','nanili','2024-02-28 14:01:35','nanili','alerttype','DOS','bucket_size_percent','BucketSizePercent'),
	 ('2024-02-28 14:29:10','nanili','2024-02-28 14:29:10','nanili','alerttype','DPS','provenance_repository_percent','ProvenanceRepositoryUsage'),
	 ('2024-02-28 14:29:56','nanili','2024-02-28 14:29:56','nanili','alerttype','DPS','old_gc_time','OldGCTime'),
	 ('2024-02-28 14:30:28','nanili','2024-02-28 14:30:28','nanili','alerttype','DPS','young_gc_time','YoungGCTime'),
	 ('2024-02-28 14:31:31','nanili','2024-02-28 14:31:31','nanili','alerttype','DPS','flow_file_repository_percent','FlowFileRepositoryUsage'),
	 ('2024-02-28 14:32:19','nanili','2024-02-28 14:32:19','nanili','alerttype','DPS','available_processors','AvailableProcessors'),
	 ('2024-02-28 16:55:06','nanili','2024-02-28 16:55:06','nanili','alerttype','GLS','percentage','ClusterUsedPercent'),
	 ('2024-02-28 16:56:02','nanili','2024-02-28 16:56:02','nanili','alerttype','GLS','trade_failed_percent','TradeFailedPercent'),
	 ('2024-02-28 16:58:45','nanili','2024-02-28 16:58:45','nanili','alerttype','Kubernetes','containermempercent','ContainerMemUsage'),
	 ('2024-02-28 16:59:45','nanili','2024-02-28 16:59:45','nanili','alerttype','Kubernetes','containercpupercent','ContainerCpuUsage');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-02-28 17:01:52','nanili','2024-02-28 17:01:52','nanili','alerttype','KVC','redis_evicted_keys_total','EvictedKeysCount'),
	 ('2024-02-28 17:06:12','nanili','2024-02-28 17:06:12','nanili','alerttype','Mesh','dmr_status','DMRStatus'),
	 ('2024-02-28 17:06:52','nanili','2024-02-28 17:06:52','nanili','alerttype','Mesh','vpn_consumer_percent','VPNConsumerUsage'),
	 ('2024-02-28 17:07:29','nanili','2024-02-28 17:07:29','nanili','alerttype','Mesh','vpn_connection_percent','VPNConnectionUsage'),
	 ('2024-02-28 17:08:03','nanili','2024-02-28 17:08:03','nanili','alerttype','Mesh','vpn_endpoint_percent','VPNEndpointUsage'),
	 ('2024-02-28 17:08:48','nanili','2024-02-28 17:08:48','nanili','alerttype','Mesh','sync_status','SyncStatus'),
	 ('2024-02-28 17:09:25','nanili','2024-02-28 17:09:25','nanili','alerttype','Mesh','redundancy_status','RedundancyStatus'),
	 ('2024-02-28 17:10:32','nanili','2024-02-28 17:10:32','nanili','alerttype','Mesh','queue_consumer_percent','QueueConsumerUsage'),
	 ('2024-02-28 17:17:14','nanili','2024-02-28 17:17:14','nanili','alerttype','RDB','mysql_global_status_innodb_row_lock_current_waits','LockWait'),
	 ('2024-02-28 17:27:47','nanili','2024-02-28 17:27:47','nanili','alerttype','TiDB','tikv_storage_percent','TikvStorageUsage');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-02-28 17:30:55','nanili','2024-02-28 17:30:55','nanili','alerttype','TiDB','status','Status'),
	 ('2024-02-28 17:37:39','nanili','2024-02-28 17:37:39','nanili','alerttype','TSDB','dnode_status','DNodeStatus'),
	 ('2024-02-28 17:38:12','nanili','2024-02-28 17:38:12','nanili','alerttype','TSDB','dnode_taosd_cpu_percent','TaosdCpuUsage'),
	 ('2024-02-28 17:38:46','nanili','2024-02-28 17:38:46','nanili','alerttype','TSDB','dnode_taosd_mem_percent','TaosdMemUsage'),
	 ('2024-02-28 17:39:15','nanili','2024-02-28 17:39:15','nanili','alerttype','TSDB','dnode_disk_percent','TaosdDiskUsage'),
	 ('2024-02-28 17:39:46','nanili','2024-02-28 17:39:46','nanili','alerttype','TSDB','dnode_system_cpu_percent','SystemCpuUsage'),
	 ('2024-02-28 17:40:23','nanili','2024-02-28 17:40:23','nanili','alerttype','TSDB','dnode_system_mem_percent','SystemMemUsage'),
	 ('2024-02-29 14:25:26','nanili','2024-02-29 14:25:26','nanili','alerttype','NetWork','ping','PingSuccess'),
	 ('2024-02-29 14:26:06','nanili','2024-02-29 14:26:06','nanili','alerttype','NetWork','syn','PingSYN'),
	 ('2024-02-29 14:26:48','nanili','2024-02-29 14:26:48','nanili','alerttype','NetWork','ttl','PingTTL');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-02-29 14:27:14','nanili','2024-02-29 14:27:14','nanili','alerttype','NetWork','rst','PingRST'),
	 ('2024-02-29 14:29:06','nanili','2024-02-29 14:29:06','nanili','alertpolicy','metric','NetWork','iaas'),
	 ('2024-02-29 14:30:32','nanili','2024-02-29 14:30:32','nanili','strategy','type','NetWork','NetWork'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','DOS','bucket_object_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','DOS','bucket_size_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','DOS','ceph_health_status',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','DPS','available_processors',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','DPS','content_repository_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','DPS','flow_file_repository_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','DPS','heap_percent','%');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','DPS','old_gc_time','ms'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','DPS','processor_load_average',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','DPS','provenance_repository_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','DPS','status',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','DPS','thread_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','DPS','young_gc_time','ms'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','API','CostTime','us'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','API','IsSuccess','bool(0/1)'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','API','ReturnCode',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','ELB','haproxy_backend_status','');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','ELB','haproxy_frontend_status',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','ELB','haproxy_server_status',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','GLS','percentage','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','GLS','trade_failed_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Kubernetes','containercpupercent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Kubernetes','containermempercent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Kubernetes','containerstatus',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Kubernetes','nodecpupercent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Kubernetes','nodemempercent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Kubernetes','nodestatus','');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Kubernetes','podstatus',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','KVC','command','ms'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','KVC','redis_connected_clients',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','KVC','redis_evicted_keys_total',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','KVC','redis_expired_keys_total',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','KVC','redis_memory_used_bytes','Bytes'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','KVC','redis_rejected_connections_total',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','bridge_status',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','dmr_status',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','queue_consumer','');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','queue_consumer_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','queue_depth',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','queue_incoming',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','queue_outgoing',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','queue_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','queue_topics',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','queue_ttl',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','queue_unack',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','redundancy_status',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','sync_status','');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','vpn_connection_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','vpn_consumer_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','vpn_endpoint_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','vpn_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Mesh','vpn_status',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','NetWork','ping',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','NetWork','rst',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','NetWork','syn',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','NetWork','ttl','ms'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','RDB','mysql_global_status_innodb_row_lock_current_waits','');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','RDB','mysql_global_status_innodb_row_lock_time','us'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','RDB','mysql_global_status_innodb_row_lock_time_avg','us'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','RDB','mysql_global_status_innodb_row_lock_time_max','us'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','RDB','mysql_global_status_threads_connected',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','RDB','mysql_global_variables_innodb_replication_delay','us'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','RDB','mysql_member_state_of_mgr',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','RDB','select','us'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Service','CostTime','us'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Service','IsSuccess',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Service','ReturnCode','');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','Service','SuccessRate','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','SKM','cert_remaining_days',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','SKM','secret_remaining_days',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','TiDB','status',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','TiDB','tikv_storage_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','TSDB','dnode_disk_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','TSDB','dnode_status',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','TSDB','dnode_system_cpu_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','TSDB','dnode_system_mem_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','TSDB','dnode_taosd_cpu_percent','%');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','TSDB','dnode_taosd_mem_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','VM','cpu','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','VM','disk','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','VM','inodepercent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','VM','inode_data_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','VM','inode_run_percent','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','VM','mem','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','VM','openfile',''),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','VM','rootdisk','%'),
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','VM','tcp_timewait','');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-03-13 14:27:15','nanili','2024-03-13 14:27:15','nanili','alerttype','type','Audit','Audit'),
	 ('2024-03-20 11:06:18','nanili','2024-03-20 11:06:18','nanili','strategy','type','SKMLog','SKMLog'),
	 ('2023-03-13 15:26:23','0','2023-03-13 15:26:23','0','alertpolicy','citype','AIG','ingress'),
	 ('2023-03-13 16:18:14','0','2023-03-13 16:18:14','0','alertpolicy','target','AIG','cluster_name,cluster_id'),
	 ('2023-03-13 15:26:23','0','2023-03-13 15:26:23','0','alertpolicy','citype','AOG','outgress'),
	 ('2023-03-13 16:18:14','0','2023-03-13 16:18:14','0','alertpolicy','target','AOG','cluster_name,cluster_id'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','alertpolicy','metric','SKM','paas+'),
	 ('2023-03-13 15:26:23','0','2023-03-13 15:26:23','0','alertpolicy','citype','SKM','skm_cluster'),
	 ('2023-03-13 16:18:14','0','2023-03-13 16:18:14','0','alertpolicy','target','SKM','Name,Code'),
	 ('2023-01-09 23:28:53','nanili','2023-01-09 23:28:53','nanili','alertpolicy','metric','API','spec');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-03-13 15:26:23','0','2023-03-13 15:26:23','0','alertpolicy','citype','API','artifact'),
	 ('2023-03-13 16:18:14','0','2023-03-13 16:18:14','0','alertpolicy','target','API','name,path');


INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	('2024-07-19 14:10:20','nanili','2024-07-19 14:10:20','nanili','apigatewayInterval','default','5','5s'),
	('2024-07-19 14:10:20','nanili','2024-07-19 14:10:20','nanili','apigatewayInterval','default','15','15s'),
	('2024-07-19 14:10:44','nanili','2024-07-19 14:10:44','nanili','apigatewayInterval','default','30','30s'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','default','60','1m'),
	('2024-07-19 14:11:20','nanili','2024-07-19 14:11:20','nanili','apigatewayInterval','default','300','5m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','default','600','10m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','default','1800','30m'),
	('2024-07-19 14:10:20','nanili','2024-07-19 14:10:20','nanili','apigatewayInterval','default','3600','1h');
	INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	('2024-07-19 14:10:20','nanili','2024-07-19 14:10:20','nanili','apigatewayInterval','0.5h','1','1s'),
	('2024-07-19 14:10:20','nanili','2024-07-19 14:10:20','nanili','apigatewayInterval','0.5h','5','5s'),
	('2024-07-19 14:10:44','nanili','2024-07-19 14:10:44','nanili','apigatewayInterval','0.5h','10','10s'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','0.5h','30','30s'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','0.5h','60','1m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','0.5h','300','5m');
	INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	('2024-07-19 14:10:20','nanili','2024-07-19 14:10:20','nanili','apigatewayInterval','1h','1','1s'),
	('2024-07-19 14:10:20','nanili','2024-07-19 14:10:20','nanili','apigatewayInterval','1h','5','5s'),
	('2024-07-19 14:10:44','nanili','2024-07-19 14:10:44','nanili','apigatewayInterval','1h','10','10s'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','1h','30','30s'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','1h','60','1m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','1h','300','5m');
	INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	('2024-07-19 14:10:20','nanili','2024-07-19 14:10:20','nanili','apigatewayInterval','3h','5','5s'),
	('2024-07-19 14:10:44','nanili','2024-07-19 14:10:44','nanili','apigatewayInterval','3h','10','10s'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','3h','30','30s'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','3h','60','1m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','3h','300','5m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','3h','600','10m');
	INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	('2024-07-19 14:10:20','nanili','2024-07-19 14:10:20','nanili','apigatewayInterval','12h','5','5s'),
	('2024-07-19 14:10:44','nanili','2024-07-19 14:10:44','nanili','apigatewayInterval','12h','10','10s'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','12h','30','30s'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','12h','60','1m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','12h','300','5m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','12h','600','10m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','12h','1800','30m');
	INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	('2024-07-19 14:10:44','nanili','2024-07-19 14:10:44','nanili','apigatewayInterval','24h','30','30s'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','24h','60','1m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','24h','300','5m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','24h','600','10m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','24h','1800','30m');
	INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-07-19 14:10:44','nanili','2024-07-19 14:10:44','nanili','apigatewayInterval','1d','30','30s'),
	 ('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','1d','60','1m'),
	 ('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','1d','300','5m'),
	 ('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','1d','600','10m'),
	 ('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','1d','1800','30m');
	INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	('2024-07-19 14:10:44','nanili','2024-07-19 14:10:44','nanili','apigatewayInterval','7d','30','30s'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','7d','60','1m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','7d','300','5m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','7d','600','10m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','7d','1800','30m'),
	('2024-07-19 14:11:02','nanili','2024-07-19 14:11:02','nanili','apigatewayInterval','7d','3600','1h');


	INSERT INTO environment.e_alert_rule_template (workspace_id,env_id,rule_type,alert_type,alert_field,expression,`level`,period,frequency,count,create_time,creator_id,update_time,updator_id,status,org,recover_count,unit) VALUES
	 ('system','system','Metric','API','SuccessRate','SuccessRate <= 98','Warning','60s','10m',1,'2024-07-10 13:15:05','system','2024-07-10 13:15:05','system',1,'system',3,'%');

INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2024-02-29 17:27:17','nanili','2024-02-29 17:27:17','nanili','unit','API','SuccessRate','%');
INSERT INTO environment.e_alert_enum (create_time,creator_id,update_time,updater_id,`type`,name,`key`,value) VALUES
	 ('2023-01-17 14:57:22','nanili','2023-01-17 14:57:22','nanili','alerttype','API','SuccessRate','SuccessRate');
