INSERT INTO `upm_portal` (`id`, `portal_id`, `app_name`, `describe`, `created_at`, `updated_at`, `deleted_at`)
VALUES
	(1, '1', 'default app', 'default portal', NOW(), NOW(), NULL);

INSERT INTO `upm_tenant_type` (`id`, `type_name`, `type_code`, `describe`, `creator`, `updator`, `created_at`, `updated_at`, `deleted_at`)
VALUES
	(1, 'DefaultType', 'T000001', 'default tenant type', '', '', NOW(), NOW(), NULL);

INSERT INTO `upm_tenant` (`id`, `tenant_name`, `tenant_code`, `describe`, `google_auth`, `created_at`, `updated_at`, `deleted_at`, `reserved1`, `reserved2`, `type_id`)
VALUES
	(1, 'multiverse', 'TN000000', 'Multiverse', 0, NOW(), NOW(), NULL, NULL, NULL, 1);

INSERT INTO `upm_group` (`id`, `name`, `describe`, `tenant_id`, `parent_id`, `links`, `created_at`, `updated_at`, `deleted_at`, `creator`, `updator`, `code`, `reserved1`, `reserved2`)
VALUES
	(1, 'multiverse', '', 1, 0, '', NOW(), NOW(), NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO `upm_role` (`id`, `name`, `describe`, `group_id`, `tenant_id`, `type`, `other_auth`, `created_at`, `updated_at`, `deleted_at`, `creator`, `updator`, `reserved1`, `reserved2`, `tenant_type_id`, `parent_id`)
VALUES
	(1, 'Multiverse Platform Admin', 'Multiverse Platform Admin', 1, 1, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0),
	(3, 'Organization Admin', 'Organization Admin', 0, 0, 1, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0),
	(4, 'Project Manager', 'Project Manager', 0, 0, 5, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0),
	(5, 'Business Analyze', 'Business Analyze', 0, 0, 5, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0),
	(6, 'Product Owner', 'Product Owner', 0, 0, 5, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0),
	(7, 'Quality Assurance', 'Quality Assurance', 0, 0, 5, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0),
	(8, 'Technical Leader', 'Technical Leader', 0, 0, 5, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0),
	(9, 'Developer', 'Developer', 0, 0, 5, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0),
	(10, 'Monitoring Team', 'Monitoring Team', 0, 0, 5, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0),
	(11, 'Site Reliability Engineer', 'Site Reliability Engineer', 0, 0, 5, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0);


INSERT INTO `upm_portal_element` (`element_id`, `element_type`, `parent_id`, `portal_id`, `describe`, `label`)
VALUES
	(100000000000, 0, 0, '1', 'Organization', 'Organization'),
	(100100000000, 0, 100000000000, '1', 'Organization', 'Organization'),
	(100100000099, 1, 100100000000, '1', 'View Organization', 'View Organization'),
	(100100000098, 1, 100100000000, '1', 'Manage Organization', 'Manage Organization'),
	(100200000000, 0, 100000000000, '1', 'Groups & Roles', 'Groups & Roles'),
	(100200000099, 1, 100200000000, '1', 'View Groups & Roles', 'View Groups & Roles'),
	(100200000098, 1, 100200000000, '1', 'Manage Groups & Roles', 'Manage Groups & Roles'),
	(100300000000, 0, 100000000000, '1', 'User', 'User'),
	(100300000099, 1, 100300000000, '1', 'View User', 'View User'),
	(100300000098, 1, 100300000000, '1', 'Manage User', 'Manage User'),
	(100400000000, 0, 100000000000, '1', 'Setting', 'Setting'),
	(100400000098, 1, 100400000000, '1', 'Setting', 'Setting'),
	(110000000000, 0, 0, '1', 'Program', 'Program'),
	(110000000099, 1, 110000000000, '1', 'View Program', 'View Program'),
	(110000000098, 1, 110000000000, '1', 'Manage Program', 'Manage Program'),
	(120000000000, 0, 0, '1', 'Workspace', 'Workspace'),
	(120100000000, 0, 120000000000, '1', 'Workspace', 'Workspace'),
	(120100000099, 1, 120100000000, '1', 'View Workspace', 'View Workspace'),
	(120100000098, 1, 120100000000, '1', 'Manage Workspace', 'Manage Workspace'),
	(120200000000, 0, 120000000000, '1', 'Data Dictionary', 'Data Dictionary'),
	(120200000099, 1, 120200000000, '1', 'View Data Dictionary', 'View Data Dictionary'),
	(120200000098, 1, 120200000000, '1', 'Manage Data Dictionary', 'Manage Data Dictionary'),
	(120300000000, 0, 120000000000, '1', 'API Category', 'API Category'),
	(120300000099, 1, 120300000000, '1', 'View API Category', 'View API Category'),
	(120300000098, 1, 120300000000, '1', 'Manage API Category', 'Manage API Category'),
	(120400000000, 0, 120000000000, '1', 'SU Type', 'SU Type'),
	(120400000099, 1, 120400000000, '1', 'View SU Type', 'View SU Type'),
	(120400000098, 1, 120400000000, '1', 'Manage SU Type', 'Manage SU Type'),
	(120500000000, 0, 120000000000, '1', 'API', 'API'),
	(120500000099, 1, 120500000000, '1', 'View API', 'View API'),
	(120500000098, 1, 120500000000, '1', 'Manage API', 'Manage API'),
	(120600000000, 0, 120000000000, '1', 'Database', 'Database'),
	(120600000099, 1, 120600000000, '1', 'View Database', 'View Database'),
	(120600000098, 1, 120600000000, '1', 'Manage Database', 'Manage Database'),
	(120700000000, 0, 120000000000, '1', 'Error Code', 'Error Code'),
	(120700000099, 1, 120700000000, '1', 'View Error Code', 'View Error Code'),
	(120700000098, 1, 120700000000, '1', 'Manage Error Code', 'Manage Error Code'),
	(120800000000, 0, 120000000000, '1', 'Schema', 'Schema'),
	(120800000099, 1, 120800000000, '1', 'View Schema', 'View Schema'),
	(120800000098, 1, 120800000000, '1', 'Manage Schema', 'Manage Schema'),
	(120900000000, 0, 120000000000, '1', 'Service', 'Service'),
	(120900000099, 1, 120900000000, '1', 'View Service', 'View Service'),
	(120900000098, 1, 120900000000, '1', 'Manage Service', 'Manage Service'),
	(121000000000, 0, 120000000000, '1', 'Event', 'Event'),
	(121000000099, 1, 121000000000, '1', 'View Event', 'View Event'),
	(121000000098, 1, 121000000000, '1', 'Manage Event', 'Manage Event'),
	(121100000000, 0, 120000000000, '1', 'Sharding Data', 'Sharding Data'),
	(121100000099, 1, 121100000000, '1', 'View Sharding Data', 'View Sharding Data'),
	(121100000098, 1, 121100000000, '1', 'Manage Sharding Data', 'Manage Sharding Data'),
	(130000000000, 0, 0, '1', 'Resource', 'Resource'),
	(130100000000, 0, 130000000000, '1', 'Infrastructure', 'Infrastructure'),
	(130101000000, 0, 130100000000, '1', 'Resource Provider', 'Resource Provider'),
	(130101000099, 1, 130101000000, '1', 'View Resource Provider', 'View Resource Provider'),
	(130101000098, 1, 130101000000, '1', 'Manage Resource Provider', 'Manage Resource Provider'),
	(130102000000, 0, 130100000000, '1', 'Region', 'Region'),
	(130102000099, 1, 130102000000, '1', 'View Region', 'View Region'),
	(130102000098, 1, 130102000000, '1', 'Manage Region', 'Manage Region'),
	(130103000000, 0, 130100000000, '1', 'Available Zone', 'Available Zone'),
	(130103000099, 1, 130103000000, '1', 'View Available Zone', 'View Available Zone'),
	(130103000098, 1, 130103000000, '1', 'Manage Available Zone', 'Manage Available Zone'),
	(130104000000, 0, 130100000000, '1', 'Virtual Private Cloud', 'Virtual Private Cloud'),
	(130104000099, 1, 130104000000, '1', 'View Virtual Private Cloud', 'View Virtual Private Cloud'),
	(130104000098, 1, 130104000000, '1', 'Manage Virtual Private Cloud', 'Manage Virtual Private Cloud'),
	(130105000000, 0, 130100000000, '1', 'Resource Group', 'Resource Group'),
	(130105000099, 1, 130105000000, '1', 'View Resource Group', 'View Resource Group'),
	(130105000098, 1, 130105000000, '1', 'Manage Resource Group', 'Manage Resource Group'),
	(130106000000, 0, 130100000000, '1', 'Network Zone', 'Network Zone'),
	(130106000099, 1, 130106000000, '1', 'View Network Zone', 'View Network Zone'),
	(130106000098, 1, 130106000000, '1', 'Manage Network Zone', 'Manage Network Zone'),
	(130107000000, 0, 130100000000, '1', 'Subnet', 'Subnet'),
	(130107000099, 1, 130107000000, '1', 'View Subnet', 'View Subnet'),
	(130107000098, 1, 130107000000, '1', 'Manage Subnet', 'Manage Subnet'),
	(130200000000, 0, 130000000000, '1', 'Message Queue', 'Message Queue'),
	(130201000000, 0, 130200000000, '1', 'VPN', 'VPN'),
	(130201000099, 1, 130201000000, '1', 'View VPN', 'View VPN'),
	(130201000098, 1, 130201000000, '1', 'Manage VPN', 'Manage VPN'),
	(130202000000, 0, 130200000000, '1', 'Mesh', 'Mesh'),
	(130202000099, 1, 130202000000, '1', 'View Mesh', 'View Mesh'),
	(130202000098, 1, 130202000000, '1', 'Manage Mesh', 'Manage Mesh'),
	(130300000000, 0, 130000000000, '1', 'Compute', 'Compute'),
	(130301000000, 0, 130300000000, '1', 'Virtual Machine', 'Virtual Machine'),
	(130301000099, 1, 130301000000, '1', 'View Virtual Machine', 'View Virtual Machine'),
	(130301000098, 1, 130301000000, '1', 'Manage Virtual Machine', 'Manage Virtual Machine'),
	(130302000000, 0, 130300000000, '1', 'Kubernetes', 'Kubernetes'),
	(130302000099, 1, 130302000000, '1', 'View Kubernetes', 'View Kubernetes'),
	(130302000098, 1, 130302000000, '1', 'Manage Kubernetes', 'Manage Kubernetes'),
	(130400000000, 0, 130000000000, '1', 'Database', 'Database'),
	(130401000000, 0, 130400000000, '1', 'Relatable Database', 'Relatable Database'),
	(130401000099, 1, 130401000000, '1', 'View Relatable Database', 'View Relatable Database'),
	(130401000098, 1, 130401000000, '1', 'Manage Relatable Database', 'Manage Relatable Database'),
	(130402000000, 0, 130400000000, '1', 'TiDB', 'TiDB'),
	(130402000099, 1, 130402000000, '1', 'View TiDB', 'View TiDB'),
	(130402000098, 1, 130402000000, '1', 'Manage TiDB', 'Manage TiDB'),
	(130403000000, 0, 130400000000, '1', 'Key Value Cache', 'Key Value Cache'),
	(130403000099, 1, 130403000000, '1', 'View Key Value Cache', 'View Key Value Cache'),
	(130403000098, 1, 130403000000, '1', 'Manage Key Value Cache', 'Manage Key Value Cache'),
	(130404000000, 0, 130400000000, '1', 'Virtual Private Cloud', 'Virtual Private Cloud'),
	(130404000099, 1, 130404000000, '1', 'View Virtual Private Cloud', 'View Virtual Private Cloud'),
	(130404000098, 1, 130404000000, '1', 'Manage Virtual Private Cloud', 'Manage Virtual Private Cloud'),
	(130500000000, 0, 130000000000, '1', 'Storage', 'Storage'),
	(130501000000, 0, 130500000000, '1', 'DOS', 'DOS'),
	(130501000099, 1, 130501000000, '1', 'View DOS', 'View DOS'),
	(130501000098, 1, 130501000000, '1', 'Manage DOS', 'Manage DOS'),
	(130600000000, 0, 130000000000, '1', 'Load Balance', 'Load Balance'),
	(130601000000, 0, 130600000000, '1', 'ELB', 'ELB'),
	(130601000099, 1, 130601000000, '1', 'View ELB', 'View ELB'),
	(130601000098, 1, 130601000000, '1', 'Manage ELB', 'Manage ELB'),
	(140000000000, 0, 0, '1', 'Environment', 'Environment'),
	(140100000000, 0, 140000000000, '1', 'Environment', 'Environment'),
	(140100000099, 1, 140100000000, '1', 'View Environment', 'View Environment'),
	(140100000098, 1, 140100000000, '1', 'Manage Environment', 'Manage Environment'),
	(140200000000, 0, 140000000000, '1', 'Scalable Unit(SU)', 'Scalable Unit(SU)'),
	(140200000099, 1, 140200000000, '1', 'View Scalable Unit(SU)', 'View Scalable Unit(SU)'),
	(140200000098, 1, 140200000000, '1', 'Manage Scalable Unit(SU)', 'Manage Scalable Unit(SU)'),
	(140300000000, 0, 140000000000, '1', 'Service', 'Service'),
	(140300000099, 1, 140300000000, '1', 'View Service', 'View Service'),
	(140300000098, 1, 140300000000, '1', 'Manage Service', 'Manage Service'),
	(140400000000, 0, 140000000000, '1', 'DB Operation', 'DB Operation'),
	(140400000099, 1, 140400000000, '1', 'View DB Manage', 'View DB Manage'),
	(140400000098, 1, 140400000000, '1', 'Manage DB Manage', 'Manage DB Manage'),
	(140500000000, 0, 140000000000, '1', 'API Gateway', 'API Gateway'),
	(140500000099, 1, 140500000000, '1', 'View API Gateway', 'View API Gateway'),
	(140500000098, 1, 140500000000, '1', 'Manage API Gateway', 'Manage API Gateway'),
	(140600000000, 0, 140000000000, '1', 'GLS', 'GLS'),
	(140600000099, 1, 140600000000, '1', 'View GLS', 'View GLS'),
	(140600000098, 1, 140600000000, '1', 'Manage GLS', 'Manage GLS'),
	(140700000000, 0, 140000000000, '1', 'DXC', 'DXC'),
	(140700000099, 1, 140700000000, '1', 'View DXC', 'View DXC'),
	(140700000098, 1, 140700000000, '1', 'Manage DXC', 'Manage DXC'),
	(150000000000, 0, 0, '1', 'Monitor Center', 'Monitor Center'),
	(150100000000, 0, 150000000000, '1', 'Metric', 'Metric'),
	(150101000000, 0, 150100000000, '1', 'Service Instance', 'Service Instance'),
	(150101000099, 1, 150101000000, '1', 'View Service Instance', 'View Service Instance'),
	(150102000000, 0, 150100000000, '1', 'Virtual Machine', 'Virtual Machine'),
	(150102000099, 1, 150102000000, '1', 'View Virtual Machine', 'View Virtual Machine'),
	(150103000000, 0, 150100000000, '1', 'Kubernetes', 'Kubernetes'),
	(150103000099, 1, 150103000000, '1', 'View Kubernetes', 'View Kubernetes'),
	(150104000000, 0, 150100000000, '1', 'RDB', 'RDB'),
	(150104000099, 1, 150104000000, '1', 'View RDB', 'View RDB'),
	(150105000000, 0, 150100000000, '1', 'Elastic Load Balance', 'Elastic Load Balance'),
	(150105000099, 1, 150105000000, '1', 'View Elastic Load Balance', 'View Elastic Load Balance'),
	(150106000000, 0, 150100000000, '1', 'TSDB', 'TSDB'),
	(150106000099, 1, 150106000000, '1', 'View TSDB', 'View TSDB'),
	(150107000000, 0, 150100000000, '1', 'TIDB', 'TIDB'),
	(150107000099, 1, 150107000000, '1', 'View TIDB', 'View TIDB'),
	(150108000000, 0, 150100000000, '1', 'KVC', 'KVC'),
	(150108000099, 1, 150108000000, '1', 'View KVC', 'View KVC'),
	(150109000000, 0, 150100000000, '1', 'Mesh', 'Mesh'),
	(150109000099, 1, 150109000000, '1', 'View Mesh', 'View Mesh'),
	(150110000000, 0, 150100000000, '1', 'GLS', 'GLS'),
	(150110000099, 1, 150110000000, '1', 'View GLS', 'View GLS'),
	(150111000000, 0, 150100000000, '1', 'Ceph', 'Ceph'),
	(150111000099, 1, 150111000000, '1', 'View Ceph', 'View Ceph'),
	(150200000000, 0, 150000000000, '1', 'Alert', 'Alert'),
	(150200000099, 1, 150200000000, '1', 'View Alert', 'View Alert'),
	(150200000098, 1, 150200000000, '1', 'Manage Alert', 'Manage Alert'),
	(150300000000, 0, 150000000000, '1', 'Log', 'Log'),
	(150300000099, 1, 150300000000, '1', 'View Log', 'View Log'),
	(150300000098, 1, 150300000000, '1', 'Manage Log', 'Manage Log'),
	(160000000000, 0, 0, '1', 'Task Center', 'Task Center'),
	(160000000099, 1, 160000000000, '1', 'View Task', 'View Task'),
	(100400000099, 1, 100400000000, '1', 'Setting View', 'Setting View'),
	(150101000098, 1, 150101000000, '1', 'Manage Service Instance', 'Manage Service Instance'),
	(150102000098, 1, 150102000000, '1', 'Manage Virtual Machine', 'Manage Virtual Machine'),
	(150103000098, 1, 150103000000, '1', 'Manage Kubernetes', 'Manage Kubernetes'),
	(150104000098, 1, 150104000000, '1', 'Manage RDB', 'Manage RDB'),
	(150105000098, 1, 150105000000, '1', 'Manage  Elastic Load Balance', 'Manage  Elastic Load Balance'),
	(150106000098, 1, 150106000000, '1', 'Manage TSDB', 'Manage TSDB'),
	(150107000098, 1, 150107000000, '1', 'Manage TIDB', 'Manage TIDB'),
	(150108000098, 1, 150108000000, '1', 'Manage KVC', 'Manage KVC'),
	(150109000098, 1, 150109000000, '1', 'Manage Mesh', 'Manage Mesh'),
	(150110000098, 1, 150110000000, '1', 'Manage GLS', 'Manage GLS'),
	(150111000098, 1, 150111000000, '1', 'Manage Ceph', 'Manage Ceph'),
	(160000000098, 1, 160000000000, '1', 'Manage Task', 'Manage Task'),
	(150400000000, 0, 150000000000, '1', 'API Metric', 'API Metric'),
	(150400000098, 1, 150400000000, '1', 'Manage API Metric', 'Manage API Metric'),
	(150400000099, 1, 150400000000, '1', 'View API Metric', 'View API Metric'),
	(140800000000, 0, 140000000000, '1', 'SKM', 'SKM'),
	(140800000099, 1, 140800000000, '1', 'View SKM', 'View SKM'),
	(140800000098, 1, 140800000000, '1', 'Manage SKM', 'Manage SKM'),
	(170000000000, 0, 0, '1', 'Studio', 'Studio'),
	(170000000099, 1, 170000000000, '1', 'View Studio', 'View Studio'),
	(180000000000, 0, 0, '1', 'Runtime', 'Runtime'),
	(180000000099, 1, 180000000000, '1', 'View Runtime', 'View Runtime'),
	(120100000097, 1, 120100000000, '1', 'Verify Workspace', 'Verify Workspace'),
	(150113000000, 0, 150100000000, '1', 'API Gateway', 'API Gateway'),
	(150113000098, 1, 150113000000, '1', 'Manage API Gateway', 'Manage API Gateway'),
	(150113000099, 1, 150113000000, '1', 'View API Gateway', 'View API Gateway');


INSERT INTO `upm_tenant_type_permission` (`tenant_type_id`, `target_type`, `target_id`, `portal_id`)
VALUES
	(1, 0, 100000000000, '1'),
	(1, 0, 100100000000, '1'),
	(1, 1, 100100000098, '1'),
	(1, 1, 100100000099, '1'),
	(1, 0, 100200000000, '1'),
	(1, 1, 100200000098, '1'),
	(1, 1, 100200000099, '1'),
	(1, 0, 100300000000, '1'),
	(1, 1, 100300000098, '1'),
	(1, 1, 100300000099, '1'),
	(1, 0, 100400000000, '1'),
	(1, 1, 100400000098, '1'),
	(1, 1, 100400000099, '1'),
	(1, 0, 110000000000, '1'),
	(1, 1, 110000000098, '1'),
	(1, 1, 110000000099, '1'),
	(1, 0, 120000000000, '1'),
	(1, 0, 120100000000, '1'),
	(1, 1, 120100000097, '1'),
	(1, 1, 120100000098, '1'),
	(1, 1, 120100000099, '1'),
	(1, 0, 120200000000, '1'),
	(1, 1, 120200000098, '1'),
	(1, 1, 120200000099, '1'),
	(1, 0, 120300000000, '1'),
	(1, 1, 120300000098, '1'),
	(1, 1, 120300000099, '1'),
	(1, 0, 120400000000, '1'),
	(1, 1, 120400000098, '1'),
	(1, 1, 120400000099, '1'),
	(1, 0, 120500000000, '1'),
	(1, 1, 120500000098, '1'),
	(1, 1, 120500000099, '1'),
	(1, 0, 120600000000, '1'),
	(1, 1, 120600000098, '1'),
	(1, 1, 120600000099, '1'),
	(1, 0, 120700000000, '1'),
	(1, 1, 120700000098, '1'),
	(1, 1, 120700000099, '1'),
	(1, 0, 120800000000, '1'),
	(1, 1, 120800000098, '1'),
	(1, 1, 120800000099, '1'),
	(1, 0, 120900000000, '1'),
	(1, 1, 120900000098, '1'),
	(1, 1, 120900000099, '1'),
	(1, 0, 121000000000, '1'),
	(1, 1, 121000000098, '1'),
	(1, 1, 121000000099, '1'),
	(1, 0, 121100000000, '1'),
	(1, 1, 121100000098, '1'),
	(1, 1, 121100000099, '1'),
	(1, 0, 130000000000, '1'),
	(1, 0, 130100000000, '1'),
	(1, 0, 130101000000, '1'),
	(1, 1, 130101000098, '1'),
	(1, 1, 130101000099, '1'),
	(1, 0, 130102000000, '1'),
	(1, 1, 130102000098, '1'),
	(1, 1, 130102000099, '1'),
	(1, 0, 130103000000, '1'),
	(1, 1, 130103000098, '1'),
	(1, 1, 130103000099, '1'),
	(1, 0, 130104000000, '1'),
	(1, 1, 130104000098, '1'),
	(1, 1, 130104000099, '1'),
	(1, 0, 130105000000, '1'),
	(1, 1, 130105000098, '1'),
	(1, 1, 130105000099, '1'),
	(1, 0, 130106000000, '1'),
	(1, 1, 130106000098, '1'),
	(1, 1, 130106000099, '1'),
	(1, 0, 130107000000, '1'),
	(1, 1, 130107000098, '1'),
	(1, 1, 130107000099, '1'),
	(1, 0, 130200000000, '1'),
	(1, 0, 130201000000, '1'),
	(1, 1, 130201000098, '1'),
	(1, 1, 130201000099, '1'),
	(1, 0, 130202000000, '1'),
	(1, 1, 130202000098, '1'),
	(1, 1, 130202000099, '1'),
	(1, 0, 130300000000, '1'),
	(1, 0, 130301000000, '1'),
	(1, 1, 130301000098, '1'),
	(1, 1, 130301000099, '1'),
	(1, 0, 130302000000, '1'),
	(1, 1, 130302000098, '1'),
	(1, 1, 130302000099, '1'),
	(1, 0, 130400000000, '1'),
	(1, 0, 130401000000, '1'),
	(1, 1, 130401000098, '1'),
	(1, 1, 130401000099, '1'),
	(1, 0, 130402000000, '1'),
	(1, 1, 130402000098, '1'),
	(1, 1, 130402000099, '1'),
	(1, 0, 130403000000, '1'),
	(1, 1, 130403000098, '1'),
	(1, 1, 130403000099, '1'),
	(1, 0, 130404000000, '1'),
	(1, 1, 130404000098, '1'),
	(1, 1, 130404000099, '1'),
	(1, 0, 130500000000, '1'),
	(1, 0, 130501000000, '1'),
	(1, 1, 130501000098, '1'),
	(1, 1, 130501000099, '1'),
	(1, 0, 130600000000, '1'),
	(1, 0, 130601000000, '1'),
	(1, 1, 130601000098, '1'),
	(1, 1, 130601000099, '1'),
	(1, 0, 140000000000, '1'),
	(1, 0, 140100000000, '1'),
	(1, 1, 140100000098, '1'),
	(1, 1, 140100000099, '1'),
	(1, 0, 140200000000, '1'),
	(1, 1, 140200000098, '1'),
	(1, 1, 140200000099, '1'),
	(1, 0, 140300000000, '1'),
	(1, 1, 140300000098, '1'),
	(1, 1, 140300000099, '1'),
	(1, 0, 140400000000, '1'),
	(1, 1, 140400000098, '1'),
	(1, 1, 140400000099, '1'),
	(1, 0, 140500000000, '1'),
	(1, 1, 140500000098, '1'),
	(1, 1, 140500000099, '1'),
	(1, 0, 140600000000, '1'),
	(1, 1, 140600000098, '1'),
	(1, 1, 140600000099, '1'),
	(1, 0, 140700000000, '1'),
	(1, 1, 140700000098, '1'),
	(1, 1, 140700000099, '1'),
	(1, 0, 140800000000, '1'),
	(1, 1, 140800000098, '1'),
	(1, 1, 140800000099, '1'),
	(1, 0, 150000000000, '1'),
	(1, 0, 150100000000, '1'),
	(1, 0, 150101000000, '1'),
	(1, 1, 150101000098, '1'),
	(1, 1, 150101000099, '1'),
	(1, 0, 150102000000, '1'),
	(1, 1, 150102000098, '1'),
	(1, 1, 150102000099, '1'),
	(1, 0, 150103000000, '1'),
	(1, 1, 150103000098, '1'),
	(1, 1, 150103000099, '1'),
	(1, 0, 150104000000, '1'),
	(1, 1, 150104000098, '1'),
	(1, 1, 150104000099, '1'),
	(1, 0, 150105000000, '1'),
	(1, 1, 150105000098, '1'),
	(1, 1, 150105000099, '1'),
	(1, 0, 150106000000, '1'),
	(1, 1, 150106000098, '1'),
	(1, 1, 150106000099, '1'),
	(1, 0, 150107000000, '1'),
	(1, 1, 150107000098, '1'),
	(1, 1, 150107000099, '1'),
	(1, 0, 150108000000, '1'),
	(1, 1, 150108000098, '1'),
	(1, 1, 150108000099, '1'),
	(1, 0, 150109000000, '1'),
	(1, 1, 150109000098, '1'),
	(1, 1, 150109000099, '1'),
	(1, 0, 150110000000, '1'),
	(1, 1, 150110000098, '1'),
	(1, 1, 150110000099, '1'),
	(1, 0, 150111000000, '1'),
	(1, 1, 150111000098, '1'),
	(1, 1, 150111000099, '1'),
	(1, 0, 150113000000, '1'),
	(1, 1, 150113000098, '1'),
	(1, 1, 150113000099, '1'),
	(1, 0, 150200000000, '1'),
	(1, 1, 150200000098, '1'),
	(1, 1, 150200000099, '1'),
	(1, 0, 150300000000, '1'),
	(1, 1, 150300000098, '1'),
	(1, 1, 150300000099, '1'),
	(1, 0, 150400000000, '1'),
	(1, 1, 150400000098, '1'),
	(1, 1, 150400000099, '1'),
	(1, 0, 160000000000, '1'),
	(1, 1, 160000000098, '1'),
	(1, 1, 160000000099, '1'),
	(1, 0, 170000000000, '1'),
	(1, 1, 170000000099, '1'),
	(1, 0, 180000000000, '1'),
	(1, 1, 180000000099, '1');


INSERT INTO `upm_operation_permission` (`role_id`, `target_type`, `target_id`, `portal_id`)
VALUES
	(1, 0, 100000000000, '1'),
	(1, 0, 100100000000, '1'),
	(1, 1, 100100000098, '1'),
	(1, 1, 100100000099, '1'),
	(3, 0, 100000000000, '1'),
	(3, 0, 100100000000, '1'),
	(3, 1, 100100000098, '1'),
	(3, 1, 100100000099, '1'),
	(3, 0, 100200000000, '1'),
	(3, 1, 100200000098, '1'),
	(3, 1, 100200000099, '1'),
	(3, 0, 100300000000, '1'),
	(3, 1, 100300000098, '1'),
	(3, 1, 100300000099, '1'),
	(3, 0, 100400000000, '1'),
	(3, 1, 100400000098, '1'),
	(3, 1, 100400000099, '1'),
	(3, 0, 110000000000, '1'),
	(3, 1, 110000000098, '1'),
	(3, 1, 110000000099, '1'),
	(3, 0, 120000000000, '1'),
	(3, 0, 120100000000, '1'),
	(3, 1, 120100000098, '1'),
	(3, 1, 120100000099, '1'),
	(3, 0, 120200000000, '1'),
	(3, 1, 120200000098, '1'),
	(3, 1, 120200000099, '1'),
	(3, 0, 120300000000, '1'),
	(3, 1, 120300000098, '1'),
	(3, 1, 120300000099, '1'),
	(3, 0, 120400000000, '1'),
	(3, 1, 120400000098, '1'),
	(3, 1, 120400000099, '1'),
	(3, 0, 120500000000, '1'),
	(3, 1, 120500000098, '1'),
	(3, 1, 120500000099, '1'),
	(3, 0, 120600000000, '1'),
	(3, 1, 120600000098, '1'),
	(3, 1, 120600000099, '1'),
	(3, 0, 120700000000, '1'),
	(3, 1, 120700000098, '1'),
	(3, 1, 120700000099, '1'),
	(3, 0, 120800000000, '1'),
	(3, 1, 120800000098, '1'),
	(3, 1, 120800000099, '1'),
	(3, 0, 120900000000, '1'),
	(3, 1, 120900000098, '1'),
	(3, 1, 120900000099, '1'),
	(3, 0, 121000000000, '1'),
	(3, 1, 121000000098, '1'),
	(3, 1, 121000000099, '1'),
	(3, 0, 121100000000, '1'),
	(3, 1, 121100000098, '1'),
	(3, 1, 121100000099, '1'),
	(3, 0, 130000000000, '1'),
	(3, 0, 130100000000, '1'),
	(3, 0, 130101000000, '1'),
	(3, 1, 130101000098, '1'),
	(3, 1, 130101000099, '1'),
	(3, 0, 130102000000, '1'),
	(3, 1, 130102000098, '1'),
	(3, 1, 130102000099, '1'),
	(3, 0, 130103000000, '1'),
	(3, 1, 130103000098, '1'),
	(3, 1, 130103000099, '1'),
	(3, 0, 130104000000, '1'),
	(3, 1, 130104000098, '1'),
	(3, 1, 130104000099, '1'),
	(3, 0, 130105000000, '1'),
	(3, 1, 130105000098, '1'),
	(3, 1, 130105000099, '1'),
	(3, 0, 130106000000, '1'),
	(3, 1, 130106000098, '1'),
	(3, 1, 130106000099, '1'),
	(3, 0, 130107000000, '1'),
	(3, 1, 130107000098, '1'),
	(3, 1, 130107000099, '1'),
	(3, 0, 130200000000, '1'),
	(3, 0, 130201000000, '1'),
	(3, 1, 130201000098, '1'),
	(3, 1, 130201000099, '1'),
	(3, 0, 130202000000, '1'),
	(3, 1, 130202000098, '1'),
	(3, 1, 130202000099, '1'),
	(3, 0, 130300000000, '1'),
	(3, 0, 130301000000, '1'),
	(3, 1, 130301000098, '1'),
	(3, 1, 130301000099, '1'),
	(3, 0, 130302000000, '1'),
	(3, 1, 130302000098, '1'),
	(3, 1, 130302000099, '1'),
	(3, 0, 130400000000, '1'),
	(3, 0, 130401000000, '1'),
	(3, 1, 130401000098, '1'),
	(3, 1, 130401000099, '1'),
	(3, 0, 130402000000, '1'),
	(3, 1, 130402000098, '1'),
	(3, 1, 130402000099, '1'),
	(3, 0, 130403000000, '1'),
	(3, 1, 130403000098, '1'),
	(3, 1, 130403000099, '1'),
	(3, 0, 130404000000, '1'),
	(3, 1, 130404000098, '1'),
	(3, 1, 130404000099, '1'),
	(3, 0, 130500000000, '1'),
	(3, 0, 130501000000, '1'),
	(3, 1, 130501000098, '1'),
	(3, 1, 130501000099, '1'),
	(3, 0, 130600000000, '1'),
	(3, 0, 130601000000, '1'),
	(3, 1, 130601000098, '1'),
	(3, 1, 130601000099, '1'),
	(3, 0, 140000000000, '1'),
	(3, 0, 140100000000, '1'),
	(3, 1, 140100000098, '1'),
	(3, 1, 140100000099, '1'),
	(3, 0, 140200000000, '1'),
	(3, 1, 140200000098, '1'),
	(3, 1, 140200000099, '1'),
	(3, 0, 140300000000, '1'),
	(3, 1, 140300000098, '1'),
	(3, 1, 140300000099, '1'),
	(3, 0, 140400000000, '1'),
	(3, 1, 140400000098, '1'),
	(3, 1, 140400000099, '1'),
	(3, 0, 140500000000, '1'),
	(3, 1, 140500000098, '1'),
	(3, 1, 140500000099, '1'),
	(3, 0, 140600000000, '1'),
	(3, 1, 140600000098, '1'),
	(3, 1, 140600000099, '1'),
	(3, 0, 140700000000, '1'),
	(3, 1, 140700000098, '1'),
	(3, 1, 140700000099, '1'),
	(3, 0, 150000000000, '1'),
	(3, 0, 150100000000, '1'),
	(3, 0, 150101000000, '1'),
	(3, 1, 150101000098, '1'),
	(3, 1, 150101000099, '1'),
	(3, 0, 150102000000, '1'),
	(3, 1, 150102000098, '1'),
	(3, 1, 150102000099, '1'),
	(3, 0, 150103000000, '1'),
	(3, 1, 150103000098, '1'),
	(3, 1, 150103000099, '1'),
	(3, 0, 150104000000, '1'),
	(3, 1, 150104000098, '1'),
	(3, 1, 150104000099, '1'),
	(3, 0, 150105000000, '1'),
	(3, 1, 150105000098, '1'),
	(3, 1, 150105000099, '1'),
	(3, 0, 150106000000, '1'),
	(3, 1, 150106000098, '1'),
	(3, 1, 150106000099, '1'),
	(3, 0, 150107000000, '1'),
	(3, 1, 150107000098, '1'),
	(3, 1, 150107000099, '1'),
	(3, 0, 150108000000, '1'),
	(3, 1, 150108000098, '1'),
	(3, 1, 150108000099, '1'),
	(3, 0, 150109000000, '1'),
	(3, 1, 150109000098, '1'),
	(3, 1, 150109000099, '1'),
	(3, 0, 150110000000, '1'),
	(3, 1, 150110000098, '1'),
	(3, 1, 150110000099, '1'),
	(3, 0, 150111000000, '1'),
	(3, 1, 150111000098, '1'),
	(3, 1, 150111000099, '1'),
	(3, 0, 150200000000, '1'),
	(3, 1, 150200000098, '1'),
	(3, 1, 150200000099, '1'),
	(3, 0, 150300000000, '1'),
	(3, 1, 150300000098, '1'),
	(3, 1, 150300000099, '1'),
	(3, 0, 160000000000, '1'),
	(3, 1, 160000000098, '1'),
	(3, 1, 160000000099, '1'),
	(3, 0, 150400000000, '1'),
	(3, 1, 150400000098, '1'),
	(3, 1, 150400000099, '1'),
	(3, 0, 140800000000, '1'),
	(3, 1, 140800000098, '1'),
	(3, 1, 140800000099, '1'),
	(3, 0, 170000000000, '1'),
	(3, 1, 170000000099, '1'),
	(3, 0, 180000000000, '1'),
	(3, 1, 180000000099, '1'),
	(3, 1, 120100000097, '1'),
	(3, 0, 150113000000, '1'),
	(3, 1, 150113000099, '1'),
	(3, 1, 150113000098, '1'),
	(4, 0, 100000000000, '1'),
	(4, 0, 100200000000, '1'),
	(4, 1, 100200000098, '1'),
	(4, 1, 100200000099, '1'),
	(4, 0, 110000000000, '1'),
	(4, 1, 110000000098, '1'),
	(4, 1, 110000000099, '1'),
	(4, 0, 150000000000, '1'),
	(4, 0, 150100000000, '1'),
	(4, 0, 150101000000, '1'),
	(4, 1, 150101000099, '1'),
	(4, 0, 150102000000, '1'),
	(4, 1, 150102000099, '1'),
	(4, 0, 150103000000, '1'),
	(4, 1, 150103000099, '1'),
	(4, 0, 150104000000, '1'),
	(4, 1, 150104000099, '1'),
	(4, 0, 150105000000, '1'),
	(4, 1, 150105000099, '1'),
	(4, 0, 150106000000, '1'),
	(4, 1, 150106000099, '1'),
	(4, 0, 150107000000, '1'),
	(4, 1, 150107000099, '1'),
	(4, 0, 150108000000, '1'),
	(4, 1, 150108000099, '1'),
	(4, 0, 150109000000, '1'),
	(4, 1, 150109000099, '1'),
	(4, 0, 150110000000, '1'),
	(4, 1, 150110000099, '1'),
	(4, 0, 150111000000, '1'),
	(4, 1, 150111000099, '1'),
	(4, 0, 150200000000, '1'),
	(4, 1, 150200000099, '1'),
	(4, 0, 150300000000, '1'),
	(4, 1, 150300000099, '1'),
	(4, 0, 150400000000, '1'),
	(4, 1, 150400000098, '1'),
	(4, 1, 150400000099, '1'),
	(4, 0, 170000000000, '1'),
	(4, 1, 170000000099, '1'),
	(4, 0, 150113000000, '1'),
	(4, 1, 150113000099, '1'),
	(5, 0, 110000000000, '1'),
	(5, 1, 110000000099, '1'),
	(5, 0, 170000000000, '1'),
	(5, 1, 170000000099, '1'),
	(6, 0, 110000000000, '1'),
	(6, 1, 110000000099, '1'),
	(6, 0, 170000000000, '1'),
	(6, 1, 170000000099, '1'),
	(7, 0, 110000000000, '1'),
	(7, 1, 110000000099, '1'),
	(7, 0, 170000000000, '1'),
	(7, 1, 170000000099, '1'),
	(8, 0, 100000000000, '1'),
	(8, 0, 100200000000, '1'),
	(8, 1, 100200000098, '1'),
	(8, 1, 100200000099, '1'),
	(8, 0, 110000000000, '1'),
	(8, 1, 110000000099, '1'),
	(8, 0, 120000000000, '1'),
	(8, 0, 120100000000, '1'),
	(8, 1, 120100000098, '1'),
	(8, 1, 120100000099, '1'),
	(8, 0, 120200000000, '1'),
	(8, 1, 120200000098, '1'),
	(8, 1, 120200000099, '1'),
	(8, 0, 120300000000, '1'),
	(8, 1, 120300000098, '1'),
	(8, 1, 120300000099, '1'),
	(8, 0, 120400000000, '1'),
	(8, 1, 120400000098, '1'),
	(8, 1, 120400000099, '1'),
	(8, 0, 120500000000, '1'),
	(8, 1, 120500000098, '1'),
	(8, 1, 120500000099, '1'),
	(8, 0, 120600000000, '1'),
	(8, 1, 120600000098, '1'),
	(8, 1, 120600000099, '1'),
	(8, 0, 120700000000, '1'),
	(8, 1, 120700000098, '1'),
	(8, 1, 120700000099, '1'),
	(8, 0, 120800000000, '1'),
	(8, 1, 120800000098, '1'),
	(8, 1, 120800000099, '1'),
	(8, 0, 120900000000, '1'),
	(8, 1, 120900000098, '1'),
	(8, 1, 120900000099, '1'),
	(8, 0, 121000000000, '1'),
	(8, 1, 121000000098, '1'),
	(8, 1, 121000000099, '1'),
	(8, 0, 121100000000, '1'),
	(8, 1, 121100000098, '1'),
	(8, 1, 121100000099, '1'),
	(8, 0, 150000000000, '1'),
	(8, 0, 150100000000, '1'),
	(8, 0, 150101000000, '1'),
	(8, 1, 150101000099, '1'),
	(8, 0, 150102000000, '1'),
	(8, 1, 150102000099, '1'),
	(8, 0, 150103000000, '1'),
	(8, 1, 150103000099, '1'),
	(8, 0, 150104000000, '1'),
	(8, 1, 150104000099, '1'),
	(8, 0, 150105000000, '1'),
	(8, 1, 150105000099, '1'),
	(8, 0, 150106000000, '1'),
	(8, 1, 150106000099, '1'),
	(8, 0, 150107000000, '1'),
	(8, 1, 150107000099, '1'),
	(8, 0, 150108000000, '1'),
	(8, 1, 150108000099, '1'),
	(8, 0, 150109000000, '1'),
	(8, 1, 150109000099, '1'),
	(8, 0, 150110000000, '1'),
	(8, 1, 150110000099, '1'),
	(8, 0, 150111000000, '1'),
	(8, 1, 150111000099, '1'),
	(8, 0, 150200000000, '1'),
	(8, 1, 150200000099, '1'),
	(8, 0, 150300000000, '1'),
	(8, 1, 150300000099, '1'),
	(8, 1, 120100000097, '1'),
	(8, 0, 170000000000, '1'),
	(8, 1, 170000000099, '1'),
	(8, 0, 150113000000, '1'),
	(8, 1, 150113000099, '1'),
	(9, 0, 110000000000, '1'),
	(9, 1, 110000000099, '1'),
	(9, 0, 120000000000, '1'),
	(9, 0, 120100000000, '1'),
	(9, 1, 120100000099, '1'),
	(9, 0, 120200000000, '1'),
	(9, 1, 120200000098, '1'),
	(9, 1, 120200000099, '1'),
	(9, 0, 120300000000, '1'),
	(9, 1, 120300000098, '1'),
	(9, 1, 120300000099, '1'),
	(9, 0, 120400000000, '1'),
	(9, 1, 120400000098, '1'),
	(9, 1, 120400000099, '1'),
	(9, 0, 120500000000, '1'),
	(9, 1, 120500000098, '1'),
	(9, 1, 120500000099, '1'),
	(9, 0, 120600000000, '1'),
	(9, 1, 120600000098, '1'),
	(9, 1, 120600000099, '1'),
	(9, 0, 120700000000, '1'),
	(9, 1, 120700000098, '1'),
	(9, 1, 120700000099, '1'),
	(9, 0, 120800000000, '1'),
	(9, 1, 120800000098, '1'),
	(9, 1, 120800000099, '1'),
	(9, 0, 120900000000, '1'),
	(9, 1, 120900000098, '1'),
	(9, 1, 120900000099, '1'),
	(9, 0, 121000000000, '1'),
	(9, 1, 121000000098, '1'),
	(9, 1, 121000000099, '1'),
	(9, 0, 121100000000, '1'),
	(9, 1, 121100000098, '1'),
	(9, 1, 121100000099, '1'),
	(9, 0, 170000000000, '1'),
	(9, 1, 170000000099, '1'),
	(10, 0, 150000000000, '1'),
	(10, 0, 150100000000, '1'),
	(10, 0, 150101000000, '1'),
	(10, 1, 150101000099, '1'),
	(10, 0, 150102000000, '1'),
	(10, 1, 150102000099, '1'),
	(10, 0, 150103000000, '1'),
	(10, 1, 150103000099, '1'),
	(10, 0, 150104000000, '1'),
	(10, 1, 150104000099, '1'),
	(10, 0, 150105000000, '1'),
	(10, 1, 150105000099, '1'),
	(10, 0, 150106000000, '1'),
	(10, 1, 150106000099, '1'),
	(10, 0, 150107000000, '1'),
	(10, 1, 150107000099, '1'),
	(10, 0, 150108000000, '1'),
	(10, 1, 150108000099, '1'),
	(10, 0, 150109000000, '1'),
	(10, 1, 150109000099, '1'),
	(10, 0, 150110000000, '1'),
	(10, 1, 150110000099, '1'),
	(10, 0, 150111000000, '1'),
	(10, 1, 150111000099, '1'),
	(10, 0, 150200000000, '1'),
	(10, 1, 150200000099, '1'),
	(10, 0, 150300000000, '1'),
	(10, 1, 150300000099, '1'),
	(10, 0, 180000000000, '1'),
	(10, 1, 180000000099, '1'),
	(10, 0, 150113000000, '1'),
	(10, 1, 150113000099, '1'),
	(11, 0, 100000000000, '1'),
	(11, 0, 100200000000, '1'),
	(11, 1, 100200000098, '1'),
	(11, 1, 100200000099, '1'),
	(11, 0, 130000000000, '1'),
	(11, 0, 130100000000, '1'),
	(11, 0, 130101000000, '1'),
	(11, 1, 130101000098, '1'),
	(11, 1, 130101000099, '1'),
	(11, 0, 130102000000, '1'),
	(11, 1, 130102000098, '1'),
	(11, 1, 130102000099, '1'),
	(11, 0, 130103000000, '1'),
	(11, 1, 130103000098, '1'),
	(11, 1, 130103000099, '1'),
	(11, 0, 130104000000, '1'),
	(11, 1, 130104000098, '1'),
	(11, 1, 130104000099, '1'),
	(11, 0, 130105000000, '1'),
	(11, 1, 130105000098, '1'),
	(11, 1, 130105000099, '1'),
	(11, 0, 130106000000, '1'),
	(11, 1, 130106000098, '1'),
	(11, 1, 130106000099, '1'),
	(11, 0, 130107000000, '1'),
	(11, 1, 130107000098, '1'),
	(11, 1, 130107000099, '1'),
	(11, 0, 130200000000, '1'),
	(11, 0, 130201000000, '1'),
	(11, 1, 130201000098, '1'),
	(11, 1, 130201000099, '1'),
	(11, 0, 130202000000, '1'),
	(11, 1, 130202000098, '1'),
	(11, 1, 130202000099, '1'),
	(11, 0, 130300000000, '1'),
	(11, 0, 130301000000, '1'),
	(11, 1, 130301000098, '1'),
	(11, 1, 130301000099, '1'),
	(11, 0, 130302000000, '1'),
	(11, 1, 130302000098, '1'),
	(11, 1, 130302000099, '1'),
	(11, 0, 130400000000, '1'),
	(11, 0, 130401000000, '1'),
	(11, 1, 130401000098, '1'),
	(11, 1, 130401000099, '1'),
	(11, 0, 130402000000, '1'),
	(11, 1, 130402000098, '1'),
	(11, 1, 130402000099, '1'),
	(11, 0, 130403000000, '1'),
	(11, 1, 130403000098, '1'),
	(11, 1, 130403000099, '1'),
	(11, 0, 130404000000, '1'),
	(11, 1, 130404000098, '1'),
	(11, 1, 130404000099, '1'),
	(11, 0, 130500000000, '1'),
	(11, 0, 130501000000, '1'),
	(11, 1, 130501000098, '1'),
	(11, 1, 130501000099, '1'),
	(11, 0, 130600000000, '1'),
	(11, 0, 130601000000, '1'),
	(11, 1, 130601000098, '1'),
	(11, 1, 130601000099, '1'),
	(11, 0, 140000000000, '1'),
	(11, 0, 140100000000, '1'),
	(11, 1, 140100000098, '1'),
	(11, 1, 140100000099, '1'),
	(11, 0, 140200000000, '1'),
	(11, 1, 140200000098, '1'),
	(11, 1, 140200000099, '1'),
	(11, 0, 140300000000, '1'),
	(11, 1, 140300000098, '1'),
	(11, 1, 140300000099, '1'),
	(11, 0, 140400000000, '1'),
	(11, 1, 140400000098, '1'),
	(11, 1, 140400000099, '1'),
	(11, 0, 140500000000, '1'),
	(11, 1, 140500000098, '1'),
	(11, 1, 140500000099, '1'),
	(11, 0, 140600000000, '1'),
	(11, 1, 140600000098, '1'),
	(11, 1, 140600000099, '1'),
	(11, 0, 140700000000, '1'),
	(11, 1, 140700000098, '1'),
	(11, 1, 140700000099, '1'),
	(11, 0, 150000000000, '1'),
	(11, 0, 150100000000, '1'),
	(11, 0, 150101000000, '1'),
	(11, 1, 150101000099, '1'),
	(11, 0, 150102000000, '1'),
	(11, 1, 150102000099, '1'),
	(11, 0, 150103000000, '1'),
	(11, 1, 150103000099, '1'),
	(11, 0, 150104000000, '1'),
	(11, 1, 150104000099, '1'),
	(11, 0, 150105000000, '1'),
	(11, 1, 150105000099, '1'),
	(11, 0, 150106000000, '1'),
	(11, 1, 150106000099, '1'),
	(11, 0, 150107000000, '1'),
	(11, 1, 150107000099, '1'),
	(11, 0, 150108000000, '1'),
	(11, 1, 150108000099, '1'),
	(11, 0, 150109000000, '1'),
	(11, 1, 150109000099, '1'),
	(11, 0, 150110000000, '1'),
	(11, 1, 150110000099, '1'),
	(11, 0, 150111000000, '1'),
	(11, 1, 150111000099, '1'),
	(11, 0, 150200000000, '1'),
	(11, 1, 150200000098, '1'),
	(11, 1, 150200000099, '1'),
	(11, 0, 150300000000, '1'),
	(11, 1, 150300000098, '1'),
	(11, 1, 150300000099, '1'),
	(11, 0, 160000000000, '1'),
	(11, 1, 160000000098, '1'),
	(11, 1, 160000000099, '1'),
	(11, 0, 150400000000, '1'),
	(11, 1, 150400000098, '1'),
	(11, 1, 150400000099, '1'),
	(11, 0, 180000000000, '1'),
	(11, 1, 180000000099, '1'),
	(11, 0, 150113000000, '1'),
	(11, 1, 150113000099, '1');
